Compartilhar via


Boletim de Segurança

Microsoft Security Bulletin MS13-052 - Crítica

Vulnerabilidades no .NET Framework e no Silverlight podem permitir a execução remota de código (2861561)

Publicado: terça-feira, 9 de julho de 2013 | Atualizado: August 13, 2013

Versão: 2.0

Informações Gerais

Resumo executivo

Esta atualização de segurança elimina cinco vulnerabilidades relatadas em particular e duas divulgadas publicamente no Microsoft .NET Framework e no Microsoft Silverlight. A mais grave dessas vulnerabilidades pode permitir a execução remota de código se um aplicativo confiável usar um padrão específico de código. Um intruso que conseguisse explorar esta vulnerabilidade com êxito poderia obter os mesmos direitos de utilizador que o utilizador com sessão iniciada. Os usuários cujas contas estão configuradas para ter menos direitos de usuário no sistema correm menos riscos do que aqueles que têm direitos de usuário administrativo.

Esta atualização de segurança é classificada como Importante para Microsoft .NET Framework 1.0 Service Pack 3, Microsoft .NET Framework 1.1 Service Pack 1 e .NET Framework 3.5 Service Pack 1 e classificada como Crítica para Microsoft .NET Framework 2.0 Service Pack 2, Microsoft .NET Framework 3.0 Service Pack 2, Microsoft .NET Framework 3.5, Microsoft .NET Framework 3.5.1, Microsoft .NET Framework 4, e Microsoft .NET Framework 4.5 em edições afetadas do Microsoft Windows. A atualização também é classificada como Importante para edições afetadas do Microsoft Silverlight 5.

A atualização de segurança elimina as vulnerabilidades corrigindo como o Windows manipula arquivos TTF (TrueType Font) especialmente criados e corrigindo como o .NET Framework manipula matrizes multidimensionais de pequenas estruturas, valida as permissões de objetos que executam reflexão, aloca matrizes de objetos e manipula vulnerabilidades de confiança parcial e inicializa matrizes de memória. Para obter mais informações sobre as vulnerabilidades, consulte a subseção Perguntas frequentes sobre a entrada de vulnerabilidade específica na próxima seção, Informações sobre a vulnerabilidade.

Recomendação. A maioria dos clientes tem a atualização automática habilitada e não precisará executar nenhuma ação, pois essa atualização de segurança será baixada e instalada automaticamente. Os clientes que não habilitaram a atualização automática precisam verificar se há atualizações e instalar essa atualização manualmente. Para obter informações sobre opções de configuração específicas na atualização automática, consulte o Artigo 294871 da Base de Dados de Conhecimento Microsoft.

Para instalações de administradores e empresas, ou usuários finais que desejam instalar esta atualização de segurança manualmente, a Microsoft recomenda que os clientes apliquem a atualização imediatamente usando o software de gerenciamento de atualizações ou verificando se há atualizações usando o serviço Microsoft Update .

Consulte também a seção Orientação e ferramentas de detecção e implantação, mais adiante neste boletim.

Artigo da Base de Dados de Conhecimento

Artigo da Base de Dados de Conhecimento 2861561
Informações do arquivo Yes
Hashes SHA1/SHA2 Yes
Problemas conhecidos Yes

Software afetado e não afetado

O software a seguir foi testado para determinar quais versões ou edições são afetadas. Outras versões ou edições já passaram do ciclo de vida de suporte ou não são afetadas. Para determinar o ciclo de vida de suporte para sua versão ou edição de software, consulte Ciclo de Vida do Suporte da Microsoft.

Softwares afetados

Sistema operacional Componente Impacto máximo na segurança Classificação de gravidade agregada Atualizações substituídas
Windows XP
Windows XP Service Pack 3 Microsoft .NET Framework 1.0 Service Pack 3 (2833951) (somente Media Center Edition 2005 Service Pack 3 e Tablet PC Edition 2005 Service Pack 3) Elevação de privilégio Importante 2698035 no boletim MS12-074 e 2572066 no boletim MS11-078
Windows XP Service Pack 3 Microsoft .NET Framework 1.1 Service Pack 1 (2833941) Elevação de privilégio Importante 2742597 no boletim MS13-004 e 2698023 no boletim MS12-074
Windows XP Service Pack 3 Microsoft .NET Framework 2.0 Service Pack 2 (2833940) Execução remota de código Crítico 2572073 no boletim MS11-078 e 983583 no boletim MS10-060
Windows XP Service Pack 3 Microsoft .NET Framework 2.0 Service Pack 2 (2844285) Elevação de privilégio Importante Nenhum
Windows XP Service Pack 3 Microsoft .NET Framework 3.0 Service Pack 2 (2832411) Execução remota de código Crítico 2604110 no boletim MS12-035 e 2656407 no boletim MS12-034
Windows XP Service Pack 3 Microsoft .NET Framework 3.5 Service Pack 1 (2840629) Elevação de privilégio Importante Nenhum
Windows XP Service Pack 3 Microsoft .NET Framework 4[1](2832407) Execução remota de código Crítico 2656405 no boletim MS12-034
Windows XP Service Pack 3 Microsoft .NET Framework 4[1](2835393) Execução remota de código Crítico 2572078 no boletim MS11-078
Windows XP Service Pack 3 Microsoft .NET Framework 4[1](2840628) Elevação de privilégio Importante 2656405 no boletim MS12-034
Windows XP Professional x64 Edition Service Pack 2 Microsoft .NET Framework 1.1 Service Pack 1 (2833941) Elevação de privilégio Importante 2742597 no boletim MS13-004 e 2698023 no boletim MS12-074
Windows XP Professional x64 Edition Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 (2833940) Execução remota de código Crítico 2572073 no boletim MS11-078 e 983583 no boletim MS10-060
Windows XP Professional x64 Edition Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 (2844285) Elevação de privilégio Importante Nenhum
Windows XP Professional x64 Edition Service Pack 2 Microsoft .NET Framework 3.0 Service Pack 2 (2832411) Execução remota de código Crítico 2604110 no boletim MS12-035 e 2656407 no boletim MS12-034
Windows XP Professional x64 Edition Service Pack 2 Microsoft .NET Framework 4[1](2832407) Execução remota de código Crítico 2656405 no boletim MS12-034
Windows XP Professional x64 Edition Service Pack 2 Microsoft .NET Framework 4[1](2835393) Execução remota de código Crítico 2572078 no boletim MS11-078
Windows XP Professional x64 Edition Service Pack 2 Microsoft .NET Framework 4[1](2840628) Elevação de privilégio Importante 2656405 no boletim MS12-034
Windows Server 2003
Windows Server 2003 Service Pack 2 Microsoft .NET Framework 1.1 Service Pack 1 (2833949) Elevação de privilégio Importante 2698032 no boletim MS12-074 e 2572069 no boletim MS11-078
Windows Server 2003 Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 (2833940) Execução remota de código Crítico 2572073 no boletim MS11-078 e 983583 no boletim MS10-060
Windows Server 2003 Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 (2844285) Elevação de privilégio Importante Nenhum
Windows Server 2003 Service Pack 2 Microsoft .NET Framework 3.0 Service Pack 2 (2832411) Execução remota de código Crítico 2604110 no boletim MS12-035 e 2656407 no boletim MS12-034
Windows Server 2003 Service Pack 2 Microsoft .NET Framework 3.5 Service Pack 1 (2840629) Elevação de privilégio Importante Nenhum
Windows Server 2003 Service Pack 2 Microsoft .NET Framework 4[1](2832407) Execução remota de código Crítico 2656405 no boletim MS12-034
Windows Server 2003 Service Pack 2 Microsoft .NET Framework 4[1](2835393) Execução remota de código Crítico 2572078 no boletim MS11-078
Windows Server 2003 Service Pack 2 Microsoft .NET Framework 4[1](2840628) Elevação de privilégio Importante 2656405 no boletim MS12-034
Windows Server 2003 x64 Edição Service Pack 2 Microsoft .NET Framework 1.1 Service Pack 1 (2833941) Elevação de privilégio Importante 2742597 no boletim MS13-004 e 2698023 no boletim MS12-074
Windows Server 2003 x64 Edição Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 (2833940) Execução remota de código Crítico 2572073 no boletim MS11-078 e 983583 no boletim MS10-060
Windows Server 2003 x64 Edição Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 (2844285) Elevação de privilégio Importante Nenhum
Windows Server 2003 x64 Edição Service Pack 2 Microsoft .NET Framework 3.0 Service Pack 2 (2832411) Execução remota de código Crítico 2604110 no boletim MS12-035 e 2656407 no boletim MS12-034
Windows Server 2003 x64 Edição Service Pack 2 Microsoft .NET Framework 3.5 Service Pack 1 (2840629) Elevação de privilégio Importante Nenhum
Windows Server 2003 x64 Edição Service Pack 2 Microsoft .NET Framework 4[1](2832407) Execução remota de código Crítico 2656405 no boletim MS12-034
Windows Server 2003 x64 Edição Service Pack 2 Microsoft .NET Framework 4[1](2835393) Execução remota de código Crítico 2572078 no boletim MS11-078
Windows Server 2003 x64 Edição Service Pack 2 Microsoft .NET Framework 4[1](2840628) Elevação de privilégio Importante 2656405 no boletim MS12-034
Windows Server 2003 com SP2 para sistemas baseados em Itanium Microsoft .NET Framework 1.1 Service Pack 1 (2833941) Elevação de privilégio Importante 2742597 no boletim MS13-004 e 2698023 no boletim MS12-074
Windows Server 2003 com SP2 para sistemas baseados em Itanium Microsoft .NET Framework 2.0 Service Pack 2 (2833940) Execução remota de código Crítico 2572073 no boletim MS11-078 e 983583 no boletim MS10-060
Windows Server 2003 com SP2 para sistemas baseados em Itanium Microsoft .NET Framework 2.0 Service Pack 2 (2844285) Elevação de privilégio Importante Nenhum
Windows Server 2003 com SP2 para sistemas baseados em Itanium Microsoft .NET Framework 3.5 Service Pack 1 (2840629) Elevação de privilégio Importante Nenhum
Windows Server 2003 com SP2 para sistemas baseados em Itanium Microsoft .NET Framework 4[1](2835393) Execução remota de código Crítico 2572078 no boletim MS11-078
Windows Server 2003 com SP2 para sistemas baseados em Itanium Microsoft .NET Framework 4[1](2840628) Elevação de privilégio Importante Nenhum
Windows Vista
Windows Vista Service Pack 2 Microsoft .NET Framework 1.1 Service Pack 1 (2833941) Elevação de privilégio Importante 2742597 no boletim MS13-004 e 2698023 no boletim MS12-074
Windows Vista Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 (2833947) Execução remota de código Crítico 2572075 no boletim MS11-078 e 983589 no boletim MS10-060
Windows Vista Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 (2844287) Elevação de privilégio Importante Nenhum
Windows Vista Service Pack 2 Microsoft .NET Framework 3.0 Service Pack 2(2832412) Execução remota de código Crítico 2604105 no MS12-035 e 2656409 no MS12-034
Windows Vista Service Pack 2 Microsoft .NET Framework 3.5 Service Pack 1 (2840629) Elevação de privilégio Importante Nenhum
Windows Vista Service Pack 2 Microsoft .NET Framework 4[1](2832407) Execução remota de código Crítico 2656405 no boletim MS12-034
Windows Vista Service Pack 2 Microsoft .NET Framework 4[1](2835393) Execução remota de código Crítico 2572078 no boletim MS11-078
Windows Vista Service Pack 2 Microsoft .NET Framework 4[1](2840628) Elevação de privilégio Importante 2656405 no boletim MS12-034
Windows Vista Service Pack 2 Microsoft .NET Framework 4.5 (2835622) Execução remota de código Crítico Nenhum
Windows Vista Service Pack 2 Microsoft .NET Framework 4.5 (2833957) Execução remota de código Crítico Nenhum
Windows Vista Service Pack 2 Microsoft .NET Framework 4.5 (2840642) Elevação de privilégio Importante Nenhum
Windows Vista x64 Edição Service Pack 2 Microsoft .NET Framework 1.1 Service Pack 1 (2833941) Elevação de privilégio Importante 2742597 no boletim MS13-004 e 2698023 no boletim MS12-074
Windows Vista x64 Edição Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 (2833947) Execução remota de código Crítico 2572075 no boletim MS11-078 e 983589 no boletim MS10-060
Windows Vista x64 Edição Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 (2844287) Elevação de privilégio Importante Nenhum
Windows Vista x64 Edição Service Pack 2 Microsoft .NET Framework 3.0 Service Pack 2(2832412) Execução remota de código Crítico 2604105 no MS12-035 e 2656409 no MS12-034
Windows Vista x64 Edição Service Pack 2 Microsoft .NET Framework 3.5 Service Pack 1 (2840629) Elevação de privilégio Importante Nenhum
Windows Vista x64 Edição Service Pack 2 Microsoft .NET Framework 4[1](2832407) Execução remota de código Crítico 2656405 no boletim MS12-034
Windows Vista x64 Edição Service Pack 2 Microsoft .NET Framework 4[1](2835393) Execução remota de código Crítico 2572078 no boletim MS11-078
Windows Vista x64 Edição Service Pack 2 Microsoft .NET Framework 4[1](2840628) Elevação de privilégio Importante 2656405 no boletim MS12-034
Windows Vista x64 Edição Service Pack 2 Microsoft .NET Framework 4.5 (2835622) Execução remota de código Crítico Nenhum
Windows Vista x64 Edição Service Pack 2 Microsoft .NET Framework 4.5 (2833957) Execução remota de código Crítico Nenhum
Windows Vista x64 Edição Service Pack 2 Microsoft .NET Framework 4.5 (2840642) Elevação de privilégio Importante Nenhum
Windows Server 2008
Windows Server 2008 para sistemas de 32 bits Service Pack 2 Microsoft .NET Framework 1.1 Service Pack 1 (2833941) Elevação de privilégio Importante 2742597 no boletim MS13-004 e 2698023 no boletim MS12-074
Windows Server 2008 para sistemas de 32 bits Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 (2833947) Execução remota de código Crítico 2572075 no boletim MS11-078 e 983589 no boletim MS10-060
Windows Server 2008 para sistemas de 32 bits Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 (2844287) Elevação de privilégio Importante Nenhum
Windows Server 2008 para sistemas de 32 bits Service Pack 2 Microsoft .NET Framework 3.0 Service Pack 2(2832412) Execução remota de código Crítico 2604105 no MS12-035 e 2656409 no MS12-034
Windows Server 2008 para sistemas de 32 bits Service Pack 2 Microsoft .NET Framework 3.5 Service Pack 1 (2840629) Elevação de privilégio Importante Nenhum
Windows Server 2008 para sistemas de 32 bits Service Pack 2 Microsoft .NET Framework 4[1](2832407) Execução remota de código Crítico 2656405 no boletim MS12-034
Windows Server 2008 para sistemas de 32 bits Service Pack 2 Microsoft .NET Framework 4[1](2835393) Execução remota de código Crítico 2572078 no boletim MS11-078
Windows Server 2008 para sistemas de 32 bits Service Pack 2 Microsoft .NET Framework 4[1](2840628) Elevação de privilégio Importante 2656405 no boletim MS12-034
Windows Server 2008 para sistemas de 32 bits Service Pack 2 Microsoft .NET Framework 4.5 (2835622) Execução remota de código Crítico Nenhum
Windows Server 2008 para sistemas de 32 bits Service Pack 2 Microsoft .NET Framework 4.5 (2833957) Execução remota de código Crítico Nenhum
Windows Server 2008 para sistemas de 32 bits Service Pack 2 Microsoft .NET Framework 4.5 (2840642) Elevação de privilégio Importante Nenhum
Windows Server 2008 para sistemas baseados em x64 Service Pack 2 Microsoft .NET Framework 1.1 Service Pack 1 (2833941) Elevação de privilégio Importante 2742597 no boletim MS13-004 e 2698023 no boletim MS12-074
Windows Server 2008 para sistemas baseados em x64 Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 (2833947) Execução remota de código Crítico 2572075 no boletim MS11-078 e 983589 no boletim MS10-060
Windows Server 2008 para sistemas baseados em x64 Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 (2844287) Elevação de privilégio Importante Nenhum
Windows Server 2008 para sistemas baseados em x64 Service Pack 2 Microsoft .NET Framework 3.0 Service Pack 2(2832412) Execução remota de código Crítico 2604105 no MS12-035 e 2656409 no MS12-034
Windows Server 2008 para sistemas baseados em x64 Service Pack 2 Microsoft .NET Framework 3.5 Service Pack 1 (2840629) Elevação de privilégio Importante Nenhum
Windows Server 2008 para sistemas baseados em x64 Service Pack 2 Microsoft .NET Framework 4[1](2832407) Execução remota de código Crítico 2656405 no boletim MS12-034
Windows Server 2008 para sistemas baseados em x64 Service Pack 2 Microsoft .NET Framework 4[1](2835393) Execução remota de código Crítico 2572078 no boletim MS11-078
Windows Server 2008 para sistemas baseados em x64 Service Pack 2 Microsoft .NET Framework 4[1](2840628) Elevação de privilégio Importante 2656405 no boletim MS12-034
Windows Server 2008 para sistemas baseados em x64 Service Pack 2 Microsoft .NET Framework 4.5 (2835622) Execução remota de código Crítico Nenhum
Windows Server 2008 para sistemas baseados em x64 Service Pack 2 Microsoft .NET Framework 4.5 (2833957) Execução remota de código Crítico Nenhum
Windows Server 2008 para sistemas baseados em x64 Service Pack 2 Microsoft .NET Framework 4.5 (2840642) Elevação de privilégio Importante Nenhum
Windows Server 2008 para sistemas baseados em Itanium Service Pack 2 Microsoft .NET Framework 1.1 Service Pack 1 (2833941) Elevação de privilégio Importante 2742597 no boletim MS13-004 e 2698023 no boletim MS12-074
Windows Server 2008 para sistemas baseados em Itanium Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 (2833947) Execução remota de código Crítico 2572075 no boletim MS11-078 e 983589 no boletim MS10-060
Windows Server 2008 para sistemas baseados em Itanium Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 (2844287) Elevação de privilégio Importante Nenhum
Windows Server 2008 para sistemas baseados em Itanium Service Pack 2 Microsoft .NET Framework 3.5 Service Pack 1 (2840629) Elevação de privilégio Importante Nenhum
Windows Server 2008 para sistemas baseados em Itanium Service Pack 2 Microsoft .NET Framework 4[1](2835393) Execução remota de código Crítico 2572078 no boletim MS11-078
Windows Server 2008 para sistemas baseados em Itanium Service Pack 2 Microsoft .NET Framework 4[1](2840628) Elevação de privilégio Importante Nenhum
Windows 7
Windows 7 para sistemas de 32 bits Service Pack 1 Microsoft .NET Framework 3.5.1(2832414) Execução remota de código Crítico 2656411 no boletim MS12-034
Windows 7 para sistemas de 32 bits Service Pack 1 Microsoft .NET Framework 3.5.1(2833946) Execução remota de código Crítico 2572077 no boletim MS11-078
Windows 7 para sistemas de 32 bits Service Pack 1 Microsoft .NET Framework 3.5.1(2840631) Elevação de privilégio Importante Nenhum
Windows 7 para sistemas de 32 bits Service Pack 1 Microsoft .NET Framework 3.5.1(2844286) Elevação de privilégio Importante Nenhum
Windows 7 para sistemas de 32 bits Service Pack 1 Microsoft .NET Framework 4[1](2835393) Execução remota de código Crítico 2572078 no boletim MS11-078
Windows 7 para sistemas de 32 bits Service Pack 1 Microsoft .NET Framework 4[1](2840628) Elevação de privilégio Importante 2656405 no boletim MS12-034
Windows 7 para sistemas de 32 bits Service Pack 1 Microsoft .NET Framework 4.5 (2833957) Execução remota de código Crítico Nenhum
Windows 7 para sistemas de 32 bits Service Pack 1 Microsoft .NET Framework 4.5 (2840642) Elevação de privilégio Importante Nenhum
Windows 7 para sistemas baseados em x64 Service Pack 1 Microsoft .NET Framework 3.5.1(2832414) Execução remota de código Crítico 2656411 no boletim MS12-034
Windows 7 para sistemas baseados em x64 Service Pack 1 Microsoft .NET Framework 3.5.1(2833946) Execução remota de código Crítico 2572077 no boletim MS11-078
Windows 7 para sistemas baseados em x64 Service Pack 1 Microsoft .NET Framework 3.5.1(2840631) Elevação de privilégio Importante Nenhum
Windows 7 para sistemas baseados em x64 Service Pack 1 Microsoft .NET Framework 3.5.1(2844286) Elevação de privilégio Importante Nenhum
Windows 7 para sistemas baseados em x64 Service Pack 1 Microsoft .NET Framework 4[1](2835393) Execução remota de código Crítico 2572078 no boletim MS11-078
Windows 7 para sistemas baseados em x64 Service Pack 1 Microsoft .NET Framework 4[1](2840628) Elevação de privilégio Importante 2656405 no boletim MS12-034
Windows 7 para sistemas baseados em x64 Service Pack 1 Microsoft .NET Framework 4.5 (2833957) Execução remota de código Crítico Nenhum
Windows 7 para sistemas baseados em x64 Service Pack 1 Microsoft .NET Framework 4.5 (2840642) Elevação de privilégio Importante Nenhum
Windows Server 2008 R2
Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 Microsoft .NET Framework 3.5.1(2832414) Execução remota de código Crítico 2656411 no boletim MS12-034
Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 Microsoft .NET Framework 3.5.1(2833946) Execução remota de código Crítico 2572077 no boletim MS11-078
Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 Microsoft .NET Framework 3.5.1(2840631) Elevação de privilégio Importante Nenhum
Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 Microsoft .NET Framework 3.5.1(2844286) Elevação de privilégio Importante Nenhum
Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 Microsoft .NET Framework 4[1](2835393) Execução remota de código Crítico 2572078 no boletim MS11-078
Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 Microsoft .NET Framework 4[1](2840628) Elevação de privilégio Importante 2656405 no boletim MS12-034
Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 Microsoft .NET Framework 4.5 (2833957) Execução remota de código Crítico Nenhum
Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 Microsoft .NET Framework 4.5 (2840642) Elevação de privilégio Importante Nenhum
Windows Server 2008 R2 para sistemas baseados em Itanium Service Pack 1 Microsoft .NET Framework 3.5.1(2833946) Execução remota de código Crítico 2572077 no boletim MS11-078
Windows Server 2008 R2 para sistemas baseados em Itanium Service Pack 1 Microsoft .NET Framework 3.5.1(2840631) Elevação de privilégio Importante Nenhum
Windows Server 2008 R2 para sistemas baseados em Itanium Service Pack 1 Microsoft .NET Framework 3.5.1(2844286) Elevação de privilégio Importante Nenhum
Windows Server 2008 R2 para sistemas baseados em Itanium Service Pack 1 Microsoft .NET Framework 4[1](2835393) Execução remota de código Crítico 2572078 no boletim MS11-078
Windows Server 2008 R2 para sistemas baseados em Itanium Service Pack 1 Microsoft .NET Framework 4[1](2840628) Elevação de privilégio Importante Nenhum
Windows 8
Windows 8 para sistemas de 32 bits Microsoft .NET Framework 3.5 (2832418) Execução remota de código Crítico Nenhum
Windows 8 para sistemas de 32 bits Microsoft .NET Framework 3.5 (2833959) Execução remota de código Crítico Nenhum
Windows 8 para sistemas de 32 bits Microsoft .NET Framework 3.5 (2840633) Elevação de privilégio Importante Nenhum
Windows 8 para sistemas de 32 bits Microsoft .NET Framework 3.5 (2844289) Elevação de privilégio Importante Nenhum
Windows 8 para sistemas de 32 bits Microsoft .NET Framework 4.5 (2833958) Execução remota de código Crítico Nenhum
Windows 8 para sistemas de 32 bits Microsoft .NET Framework 4.5 (2840632) Elevação de privilégio Importante Nenhum
Windows 8 para sistemas de 64 bits Microsoft .NET Framework 3.5 (2832418) Execução remota de código Crítico Nenhum
Windows 8 para sistemas de 64 bits Microsoft .NET Framework 3.5 (2833959) Execução remota de código Crítico Nenhum
Windows 8 para sistemas de 64 bits Microsoft .NET Framework 3.5 (2840633) Elevação de privilégio Importante Nenhum
Windows 8 para sistemas de 64 bits Microsoft .NET Framework 3.5 (2844289) Elevação de privilégio Importante Nenhum
Windows 8 para sistemas de 64 bits Microsoft .NET Framework 4.5 (2833958) Execução remota de código Crítico Nenhum
Windows 8 para sistemas de 64 bits Microsoft .NET Framework 4.5 (2840632) Elevação de privilégio Importante Nenhum
Windows Server 2012
Windows Server 2012 Microsoft .NET Framework 3.5 (2832418) Execução remota de código Crítico Nenhum
Windows Server 2012 Microsoft .NET Framework 3.5 (2833959) Execução remota de código Crítico Nenhum
Windows Server 2012 Microsoft .NET Framework 3.5 (2840633) Elevação de privilégio Importante Nenhum
Windows Server 2012 Microsoft .NET Framework 3.5 (2844289) Elevação de privilégio Importante Nenhum
Windows Server 2012 Microsoft .NET Framework 4.5 (2833958) Execução remota de código Crítico Nenhum
Windows Server 2012 Microsoft .NET Framework 4.5 (2840632) Elevação de privilégio Importante Nenhum
Windows RT
Windows RT Microsoft .NET Framework 4.5[2](2833958) Execução remota de código Crítico Nenhum
Windows RT Microsoft .NET Framework 4.5[2](2840632) Elevação de privilégio Importante Nenhum
Opção de instalação do Server Core
Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (instalação Server Core) Microsoft .NET Framework 3.5.1(2833946) Execução remota de código Crítico 2572077 no boletim MS11-078
Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (instalação Server Core) Microsoft .NET Framework 3.5.1(2840631) Elevação de privilégio Importante Nenhum
Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (instalação Server Core) Microsoft .NET Framework 3.5.1(2844286) Elevação de privilégio Importante Nenhum
Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (instalação Server Core) Microsoft .NET Framework 4[1](2835393) Execução remota de código Crítico 2572078 no boletim MS11-078
Windows Server 2008 R2 para sistemas baseados em Itanium Service Pack 1 (instalação Server Core) Microsoft .NET Framework 4[1](2840628) Elevação de privilégio Importante Nenhum
Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (instalação Server Core) Microsoft .NET Framework 4.5 (2833957) Execução remota de código Crítico Nenhum
Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (instalação Server Core) Microsoft .NET Framework 4.5 (2840642) Elevação de privilégio Importante Nenhum
Windows Server 2012 (instalação Server Core) Microsoft .NET Framework 3.5 (2832418) Execução remota de código Crítico Nenhum
Windows Server 2012 (instalação Server Core) Microsoft .NET Framework 3.5 (2833959) Execução remota de código Crítico Nenhum
Windows Server 2012 (instalação Server Core) Microsoft .NET Framework 3.5 (2840633) Elevação de privilégio Importante Nenhum
Windows Server 2012 (instalação Server Core) Microsoft .NET Framework 3.5 (2844289) Elevação de privilégio Importante Nenhum
Windows Server 2012 (instalação Server Core) Microsoft .NET Framework 4.5 (2833958) Execução remota de código Crítico Nenhum
Windows Server 2012 (instalação Server Core) Microsoft .NET Framework 4.5 (2840632) Elevação de privilégio Importante Nenhum

[1]. NET Framework 4 e .NET Framework 4 Client Profile afetados. Os pacotes redistribuíveis do .NET Framework versão 4 estão disponíveis em dois perfis: .NET Framework 4 e .NET Framework 4 Client Profile. O .NET Framework 4 Client Profile é um subconjunto do .NET Framework 4. A vulnerabilidade abordada nesta atualização afeta o .NET Framework 4 e o .NET Framework 4 Client Profile. Para obter mais informações, consulte o artigo do MSDN, Instalando o .NET Framework.

[ 2 ]As atualizações de segurança do Windows RT são fornecidas por meio do Windows Update.

Nota: O .NET Framework não é aplicável em instalações Server Core do Windows Server 2008 para sistemas de 32 bits Service Pack 2 e Windows Server 2008 para sistemas baseados em x64 Service Pack 2.

 

Ferramentas e software para desenvolvedores da Microsoft

Sistema operacional Impacto máximo na segurança Classificação de gravidade agregada Atualizações substituídas
Microsoft Silverlight 5
Microsoft Silverlight 5 quando instalado no Mac (2847559) Execução remota de código Crítico 2814124 no boletim MS13-022
Microsoft Silverlight 5 Developer Runtime quando instalado no Mac (2847559) Execução remota de código Crítico 2814124 no boletim MS13-022
Microsoft Silverlight 5 quando instalado em edições de 32 bits de clientes Microsoft Windows (2847559) Execução remota de código Crítico 2814124 no boletim MS13-022
Microsoft Silverlight 5 quando instalado em edições baseadas em x64 de clientes Microsoft Windows (2847559) Execução remota de código Crítico 2814124 no boletim MS13-022
Microsoft Silverlight 5 Developer Runtime quando instalado em todas as versões com suporte de clientes Microsoft Windows (2847559) Execução remota de código Crítico 2814124 no boletim MS13-022
Microsoft Silverlight 5 quando instalado em edições de 32 bits de servidores Microsoft Windows (2847559) Execução remota de código Crítico 2814124 no boletim MS13-022
Microsoft Silverlight 5 quando instalado em edições baseadas em x64 de servidores Microsoft Windows (2847559) Execução remota de código Crítico 2814124 no boletim MS13-022
Microsoft Silverlight 5 Developer Runtime quando instalado em todas as versões com suporte de servidores Microsoft Windows (2847559) Execução remota de código Crítico 2814124 no boletim MS13-022

 

Perguntas frequentes sobre atualizações

Por que este boletim foi revisado em 13 de agosto de 2013?
A Microsoft revisou este boletim para relançar as seguintes atualizações para as edições especificadas do Windows:

  • Para o Windows XP: As atualizações 2840628 e 2844285
  • Para Windows Server 2003: As atualizações 2840628 e 2844285
  • Para o Windows Vista: as atualizações de 2840628, 2840642 e 2844287
  • Para Windows Server 2008: As atualizações de 2840628, 2840642 e 2844287
  • Para o Windows 7: as atualizações de 2840628, 2840642 e 2844286
  • Para Windows Server 2008 R2: As atualizações de 2840628, 2840642 e 2844286
  • Para o Windows 8: As atualizações 2840632 e 2844289
  • Para Windows Server 2012: As atualizações 2840632 e 2844289
  • Para o Windows RT: A atualização 2840632

As atualizações relançadas resolvem problemas conforme descrito no Artigo 2872441 da Base de Dados de Conhecimento Microsoft e no Artigo 2872041 Base de Dados de Conhecimento Microsoft. Os clientes devem instalar as atualizações relançadas que se aplicam aos seus sistemas.

CVE-2013-3129 é descrito em vários boletins de segurança. Como esses boletins se relacionam?
A vulnerabilidade de análise de fonte TrueType (CVE-2013-3129) afeta os seguintes produtos:

  • Componentes do Microsoft Windows (MS13-054)
  • Escritório Microsoft (MS13-054)
  • O Microsoft Lync (MS13-054)
  • Microsoft Visual Studio (MS13-054)
  • Driver do modo kernel do Microsoft Windows (MS13-053)
  • Microsoft .NET Framework (MS13-052)
  • Microsoft Silverlight (MS13-052)

Você precisa instalar apenas as atualizações que correspondem ao software que você instalou em seus sistemas. Se você precisar instalar mais de uma dessas atualizações, elas podem ser instaladas em qualquer sequência.

Como determinar qual versão do Microsoft .NET Framework está instalada?
Você pode instalar e executar várias versões do .NET Framework em um sistema e pode instalar as versões em qualquer ordem. Há várias maneiras de determinar quais versões do .NET Framework estão instaladas no momento. Para obter mais informações, consulte o artigo 318785 da Base de Dados de Conhecimento Microsoft.

Qual é a diferença entre o .NET Framework 4 e o .NET Framework 4 Client Profile?
Os pacotes redistribuíveis do .NET Framework versão 4 estão disponíveis em dois perfis: .NET Framework 4 e .NET Framework 4 Client Profile. O .NET Framework 4 Client Profile é um subconjunto do perfil do .NET Framework 4 otimizado para aplicativos cliente. Ele fornece funcionalidade para a maioria dos aplicativos cliente, incluindo recursos do Windows Presentation Foundation (WPF), Windows Forms, Windows Communication Foundation (WCF) e ClickOnce. Isso permite uma implantação mais rápida e um pacote de instalação menor para aplicativos destinados ao .NET Framework 4 Client Profile. Para obter mais informações, consulte o artigo do MSDN, .NET Framework Client Profile.

Há vários pacotes de atualização disponíveis paraalguns dos softwares afetados. Preciso instalar todas as atualizações listadas na tabela Softwares afetados para o software?
Sim. Os clientes devem aplicar todas as atualizações oferecidas para o software instalado em seus sistemas.

Preciso instalar essas atualizações de segurança em uma sequência específica?
Não. Várias atualizações para um determinado sistema podem ser aplicadas em qualquer sequência.

O que é o Microsoft Silverlight?
O Microsoft Silverlight é uma implementação multinavegador e multiplataforma do Microsoft .NET Framework para criar experiências de mídia e aplicativos interativos avançados para a Web. Para obter mais informações, consulte o site oficial do Microsoft Silverlight.

Quais navegadores da Web oferecem suporte a aplicativos do Microsoft Silverlight?
Para executar aplicativos do Microsoft Silverlight, a maioria dos navegadores da Web, incluindo o Microsoft Internet Explorer, requer que o Microsoft Silverlight seja instalado e que o plug-in correspondente esteja habilitado. Para obter mais informações sobre o Microsoft Silverlight, consulte o site oficial, Microsoft Silverlight. Consulte a documentação do seu navegador para saber mais sobre como desativar ou remover plug-ins.

Quais versões do Microsoft Silverlight 5 são afetadas pela vulnerabilidade?
A compilação 5.1.20513.0 do Microsoft Silverlight, que era a compilação atual do Microsoft Silverlight quando este boletim foi lançado pela primeira vez, elimina a vulnerabilidade e não é afetada. As compilações do Microsoft Silverlight anteriores à versão 5.1.20513.0 são afetadas.

Como posso saber qual versão e compilação do Microsoft Silverlight está atualmente instalada no meu sistema?
Se o Microsoft Silverlight já estiver instalado no computador, você poderá visitar a página Obter o Microsoft Silverlight , que indicará qual versão e compilação do Microsoft Silverlight está instalada no sistema no momento. Como alternativa, você pode usar o recurso Gerenciar Complementos das versões atuais do Microsoft Internet Explorer para determinar a versão e compilar informações que estão atualmente instaladas em seu sistema.

Você também pode verificar manualmente o número da versão do sllauncher.exe localizado no diretório "%ProgramFiles%\Microsoft Silverlight" (em sistemas Microsoft Windows x86) ou no diretório "%ProgramFiles(x86)%\Microsoft Silverlight" (em sistemas Microsoft Windows x64).

Além disso, no Microsoft Windows, as informações de versão e compilação da versão atualmente instalada do Microsoft Silverlight podem ser encontradas no registro em [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Silverlight]:Version em sistemas Microsoft Windows x86 ou [HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Silverlight]:Version em sistemas Microsoft Windows x64.

No Apple Mac OS, as informações de versão e compilação da versão atualmente instalada do Microsoft Silverlight podem ser encontradas da seguinte maneira:

  1. Abra o Finder

  2. Selecione a unidade do sistema e vá para a pasta Internet Plug-ins - Biblioteca

  3. Clique com o botão direito do mouse no arquivo Silverlight.Plugin (se o mouse tiver apenas um botão, pressione a tecla Ctrl enquanto clica no arquivo) para abrir o menu de contexto e, em seguida, clique em Mostrar Conteúdo do Pacote

  4. Dentro da pasta de conteúdo, localize o arquivo info.plist e abra-o com um editor. Ele conterá uma entrada como esta, que mostra o número da versão:

    Versão do SilverlightVersion
    5.1.20513.0

A versão instalada com esta atualização de segurança para o Microsoft Silverlight é 5.1.20513.0. Se o número de versão do Microsoft Silverlight 5 for maior ou igual a esse número de versão, seu sistema não estará vulnerável.

Como faço para atualizar minha versão do Microsoft Silverlight?
O recurso de atualização automática do Microsoft Silverlight ajuda a garantir que sua instalação do Microsoft Silverlight seja mantida atualizada com a versão mais recente do Microsoft Silverlight, a funcionalidade do Microsoft Silverlight e os recursos de segurança. Para obter mais informações sobre o recurso de atualização automática do Microsoft Silverlight, consulte o Microsoft Silverlight Updater. Os usuários do Windows que desabilitaram o recurso de atualização automática do Microsoft Silverlight podem se inscrever no Microsoft Update para obter a versão mais recente do Microsoft Silverlight ou podem baixar a versão mais recente do Microsoft Silverlight manualmente usando o link de download na tabela Softwares afetados na seção anterior, Softwares afetados e não afetados. Para obter informações sobre como implantar o Microsoft Silverlight em um ambiente corporativo, consulte o Guia de implantação do Silverlight Enterprise.

Esta atualização atualizará minha versão do Silverlight?
A atualização 2847559 atualiza versões anteriores do Silverlight para o Silverlight versão 5.1.20513.0. A Microsoft recomenda a atualização para estar protegida contra a vulnerabilidade descrita neste boletim.

Onde posso encontrar informações adicionais sobre o ciclo de vida do produto Silverlight?
Para obter informações sobre o ciclo de vida específicas do Silverlight, consulte a Política de ciclo de vida de suporte do Microsoft Silverlight.

Estou usando uma versão mais antiga do software discutido neste boletim de segurança. O que devo fazer?
O software afetado listado neste boletim foi testado para determinar quais versões são afetadas. Outras versões já passaram do ciclo de vida de suporte. Para obter mais informações sobre o ciclo de vida do produto, consulte o site do Ciclo de Vida do Suporte da Microsoft.

Deve ser uma prioridade para os clientes que têm versões mais antigas do software migrar para versões com suporte para evitar a exposição potencial a vulnerabilidades. Para determinar o ciclo de vida de suporte para sua versão de software, consulte Selecionar um produto para obter informações sobre o ciclo de vida. Para obter mais informações sobre service packs para essas versões de software, consulte Política de suporte ao ciclo de vida do Service Pack.

Os clientes que precisam de suporte personalizado para software mais antigo devem entrar em contato com o representante da equipe de contas da Microsoft, o gerente técnico de contas ou o representante de parceiro da Microsoft apropriado para obter opções de suporte personalizadas. Os clientes sem um Contrato Alliance, Premier ou Autorizado podem entrar em contato com o escritório de vendas local da Microsoft. Para obter informações de contato, consulte o site Microsoft Worldwide Information , selecione o país na lista Informações de contato e clique em Ir para ver uma lista de números de telefone. Quando ligar, peça para falar com o gerente de vendas do Suporte Premier local. Para obter mais informações, consulte as Perguntas frequentes sobre a Política de Ciclo de Vida do Suporte da Microsoft.

Informações sobre vulnerabilidade

Classificações de gravidade e identificadores de vulnerabilidade

As classificações de gravidade a seguir pressupõem o impacto máximo potencial da vulnerabilidade. Para obter informações sobre a probabilidade, dentro de 30 dias após o lançamento deste boletim de segurança, da possibilidade de exploração da vulnerabilidade em relação à sua classificação de gravidade e impacto à segurança, consulte o Índice de exploração no resumo de boletins de julho. Para obter mais informações, consulte Índice de exploração da Microsoft.

Softwares afetados Vulnerabilidade de análise de fonte TrueType - CVE-2013-3129 Vulnerabilidade de violação de acesso à matriz - CVE-2013-3131 Vulnerabilidade de desvio de reflexão delegada - CVE-2013-3132 Vulnerabilidade de injeção de método anônimo - CVE-2013-3133 Vulnerabilidade de alocação de matriz - CVE-2013-3134 Vulnerabilidade de serialização delegada - CVE-2013-3171 Vulnerabilidade de ponteiro nulo - CVE-2013-3178 Classificação de gravidade agregada
Microsoft .NET Framework 1.0 Service Pack 3
Microsoft .NET Framework 1.0 Service Pack 3 no Windows XP Tablet PC Edition 2005 Service Pack 3 e Windows XP Media Center Edition 2005 Service Pack 3 (2833951) Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Não aplicável Não aplicável Não aplicável Importante
Microsoft .NET Framework 1.1 Service Pack 1
Microsoft .NET Framework 1.1 Service Pack 1 quando instalado no Microsoft Windows XP Service Pack 3 (2833941) Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Não aplicável Não aplicável Não aplicável Importante
Microsoft .NET Framework 1.1 Service Pack 1 quando instalado no Microsoft Windows XP Professional x64 Edition Service Pack 2 (2833941) Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Não aplicável Não aplicável Não aplicável Importante
Microsoft .NET Framework 1.1 Service Pack 1 no Microsoft Windows Server 2003 Service Pack 2 (2833949) Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Não aplicável Não aplicável Não aplicável Importante
Microsoft .NET Framework 1.1 Service Pack 1 quando instalado no Microsoft Windows Server 2003 x64 Edition Service Pack 2 (2833941) Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Não aplicável Não aplicável Não aplicável Importante
Microsoft .NET Framework 1.1 Service Pack 1 quando instalado no Microsoft Windows Server 2003 para sistemas baseados em Itanium Service Pack 2 (2833941) Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Não aplicável Não aplicável Não aplicável Importante
Microsoft .NET Framework 1.1 Service Pack 1 quando instalado no Windows Vista Service Pack 2 (2833941) Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Não aplicável Não aplicável Não aplicável Importante
Microsoft .NET Framework 1.1 Service Pack 1 quando instalado no Windows Vista x64 Edition Service Pack 2 (2833941) Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Não aplicável Não aplicável Não aplicável Importante
Microsoft .NET Framework 1.1 Service Pack 1 quando instalado no Windows Server 2008 para sistemas de 32 bits Service Pack 2 (2833941) Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Não aplicável Não aplicável Não aplicável Importante
Microsoft .NET Framework 1.1 Service Pack 1 quando instalado no Windows Server 2008 para sistemas baseados em x64 Service Pack 2 (2833941) Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Não aplicável Não aplicável Não aplicável Importante
Microsoft .NET Framework 1.1 Service Pack 1 quando instalado no Windows Server 2008 para sistemas baseados em Itanium Service Pack 2 (2833941) Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Não aplicável Não aplicável Não aplicável Importante
Microsoft .NET Framework 2.0 Service Pack 2
Microsoft .NET Framework 2.0 Service Pack 2 quando instalado no Microsoft Windows XP Service Pack 3 (2833940) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 2.0 Service Pack 2 quando instalado no Microsoft Windows XP Service Pack 3 (2844285) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 2.0 Service Pack 2 quando instalado no Microsoft Windows XP Professional x64 Edition Service Pack 2 (2833940) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 2.0 Service Pack 2 quando instalado no Microsoft Windows XP Professional x64 Edition Service Pack 2 (2844285) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 2.0 Service Pack 2 quando instalado no Microsoft Windows Server 2003 Service Pack 2 (2833940) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 2.0 Service Pack 2 quando instalado no Microsoft Windows Server 2003 Service Pack 2 (2844285) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 2.0 Service Pack 2 quando instalado no Microsoft Windows Server 2003 x64 Edition Service Pack 2 (2833940) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 2.0 Service Pack 2 quando instalado no Microsoft Windows Server 2003 x64 Edition Service Pack 2 (2844285) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 2.0 Service Pack 2 quando instalado no Microsoft Windows Server 2003 para sistemas baseados em Itanium Service Pack 2 (2833940) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 2.0 Service Pack 2 quando instalado no Microsoft Windows Server 2003 para sistemas baseados em Itanium Service Pack 2 (2844285) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 2.0 Service Pack 2 no Windows Vista Service Pack 2 (2833947) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 2.0 Service Pack 2 no Windows Vista Service Pack 2 (2844287) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 2.0 Service Pack 2 no Windows Vista x64 Edition Service Pack 2 (2833947) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 2.0 Service Pack 2 no Windows Vista x64 Edition Service Pack 2 (2844287) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 2.0 Service Pack 2 no Windows Server 2008 para sistemas de 32 bits Service Pack 2 (2833947) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 2.0 Service Pack 2 no Windows Server 2008 para sistemas de 32 bits Service Pack 2 (2844287) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 2.0 Service Pack 2 no Windows Server 2008 para sistemas baseados em x64 Service Pack 2 (2833947) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 2.0 Service Pack 2 no Windows Server 2008 para sistemas baseados em x64 Service Pack 2 (2844287) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 2.0 Service Pack 2 no Windows Server 2008 para sistemas baseados em Itanium Service Pack 2 (2833947) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 2.0 Service Pack 2 no Windows Server 2008 para sistemas baseados em Itanium Service Pack 2 (2844287) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.0 Service Pack 2
Microsoft .NET Framework 3.0 Service Pack 2 quando instalado no Microsoft Windows XP Service Pack 3 (2832411) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.0 Service Pack 2 quando instalado no Windows XP Professional x64 Edition Service Pack 2 (2832411) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.0 Service Pack 2 quando instalado no Microsoft Windows Server 2003 Service Pack 2 (2832411) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.0 Service Pack 2 quando instalado no Microsoft Windows Server 2003 x64 Edition Service Pack 2 (2832411) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.0 Service Pack 2 no Windows Vista Service Pack 2 (2832412) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.0 Service Pack 2 no Windows Vista x64 Edition Service Pack 2 (2832412) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.0 Service Pack 2 no Windows Server 2008 para sistemas de 32 bits Service Pack 2 (2832412) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.0 Service Pack 2 no Windows Server 2008 para sistemas baseados em x64 Service Pack 2 (2832412) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.5
Microsoft .NET Framework 3.5 no Windows 8 para sistemas de 32 bits (2832418) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.5 no Windows 8 para sistemas de 32 bits (2833959) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.5 no Windows 8 para sistemas de 32 bits (2840633) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5 no Windows 8 para sistemas de 32 bits (2844289) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5 no Windows 8 para sistemas de 64 bits (2832418) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.5 no Windows 8 para sistemas de 64 bits (2833959) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.5 no Windows 8 para sistemas de 64 bits (2840633) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5 no Windows 8 para sistemas de 64 bits (2844289) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5 no Windows Server 2012 (2832418) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.5 no Windows Server 2012 (2833959) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.5 no Windows Server 2012 (instalação Server Core) (2833959) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.5 no Windows Server 2012 (2840633) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5 no Windows Server 2012 (instalação Server Core) (2840633) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5 no Windows Server 2012 (2844289) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5 no Windows Server 2012 (instalação Server Core) (2844289) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5 Service Pack 1
Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows XP Service Pack 3 (2840629) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows Server 2003 Service Pack 2 (2840629) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows Server 2003 x64 Edition Service Pack 2 (2840629) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows Server 2003 com SP2 para sistemas baseados em Itanium (2840629) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows Vista Service Pack 2 (2840629) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows Vista x64 Edition Service Pack 2 (2840629) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows Server 2008 para sistemas de 32 bits Service Pack 2 (2840629) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows Server 2008 para sistemas baseados em x64 Service Pack 2 (2840629) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows Server 2008 para sistemas baseados em Itanium Service Pack 2 (2840629) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5.1
Microsoft .NET Framework 3.5.1 no Windows 7 para sistemas de 32 bits Service Pack 1 (2832414) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.5.1 no Windows 7 para sistemas de 32 bits Service Pack 1 (2833946) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.5.1 no Windows 7 para sistemas de 32 bits Service Pack 1 (2840631) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5.1 no Windows 7 para sistemas de 32 bits Service Pack 1 (2844286) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5.1 no Windows 7 para sistemas baseados em x64 Service Pack 1 (2832414) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.5.1 no Windows 7 para sistemas baseados em x64 Service Pack 1 (2833946) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.5.1 no Windows 7 para sistemas baseados em x64 Service Pack 1 (2840631) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5.1 no Windows 7 para sistemas baseados em x64 Service Pack 1 (2844286) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5.1 no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (2832414) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.5.1 no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (2833946) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.5.1 no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (instalação Server Core) (2833946) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.5.1 no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (2840631) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5.1 no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (instalação Server Core) (2840631) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5.1 no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (2844286) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5.1 no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (instalação Server Core) (2844286) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5.1 no Windows Server 2008 R2 para sistemas baseados em Itanium Service Pack 1 (2833946) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 3.5.1 no Windows Server 2008 R2 para sistemas baseados em Itanium Service Pack 1 (2840631) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 3.5.1 no Windows Server 2008 R2 para sistemas baseados em Itanium Service Pack 1 (2844286) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4
Microsoft .NET Framework 4 quando instalado no Microsoft Windows XP Service Pack 3 (2832407)[1] Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Microsoft Windows XP Service Pack 3 (2835393)[1] Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Microsoft Windows XP Service Pack 3 (2840628)[1] Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4 quando instalado no Microsoft Windows XP Professional x64 Edition Service Pack 2 (2832407)[1] Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Microsoft Windows XP Professional x64 Edition Service Pack 2 (2835393)[1] Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Microsoft Windows XP Professional x64 Edition Service Pack 2 (2840628)[1] Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4 quando instalado no Microsoft Windows Server 2003 Service Pack 2 (2832407)[1] Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Microsoft Windows Server 2003 Service Pack 2 (2835393)[1] Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Microsoft Windows Server 2003 Service Pack 2 (2840628)[1] Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4 quando instalado no Microsoft Windows Server 2003 x64 Edition Service Pack 2 (2832407)[1] Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Microsoft Windows Server 2003 x64 Edition Service Pack 2 (2835393)[1] Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Microsoft Windows Server 2003 x64 Edition Service Pack 2 (2840628)[1] Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4 quando instalado no Microsoft Windows Server 2003 para sistemas baseados em Itanium Service Pack 2 (2835393)[1] Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Microsoft Windows Server 2003 para sistemas baseados em Itanium Service Pack 2 (2840628)[1] Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4 quando instalado no Windows Vista Service Pack 2 (2832407)[1] Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Windows Vista Service Pack 2 (2835393)[1] Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Windows Vista Service Pack 2 (2840628)[1] Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4 quando instalado no Windows Vista x64 Edition Service Pack 2 (2832407)[1] Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Windows Vista x64 Edition Service Pack 2 (2835393)[1] Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Windows Vista x64 Edition Service Pack 2 (2840628)[1] Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4 quando instalado no Windows Server 2008 para sistemas de 32 bits Service Pack 2 (2832407)[1] Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Windows Server 2008 para sistemas de 32 bits Service Pack 2 (2835393)[1] Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Windows Server 2008 para sistemas de 32 bits Service Pack 2 (2840628)[1] Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4 quando instalado no Windows Server 2008 para sistemas baseados em x64 Service Pack 2 (2832407)[1] Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Windows Server 2008 para sistemas baseados em x64 Service Pack 2 (2835393)[1] Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Windows Server 2008 para sistemas baseados em x64 Service Pack 2 (2840628)[1] Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4 quando instalado no Windows Server 2008 para sistemas baseados em Itanium Service Pack 2 (2835393)[1] Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Windows Server 2008 para sistemas baseados em Itanium Service Pack 2 (2840628)[1] Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4 quando instalado no Windows 7 para sistemas de 32 bits Service Pack 1 (2835393)[1] Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Windows 7 para sistemas de 32 bits Service Pack 1 (2840628)[1] Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4 quando instalado no Windows 7 para sistemas baseados em x64 Service Pack 1 (2835393)[1] Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Windows 7 para sistemas baseados em x64 Service Pack 1 (2840628)[1] Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4 quando instalado no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (2835393)[1] Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (instalação Server Core) (2835393)[1] Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (2840628)[1] Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4 quando instalado no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (instalação Server Core) (2840628)[1] Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4 quando instalado no Windows Server 2008 R2 para sistemas baseados em Itanium Service Pack 1 (2835393)[1] Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4 quando instalado no Windows Server 2008 R2 para sistemas baseados em Itanium Service Pack 1 (2840628)[1] Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4.5
Microsoft .NET Framework 4.5 quando instalado no Windows Vista Service Pack 2 (2835622) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 quando instalado no Windows Vista Service Pack 2 (2833957) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 quando instalado no Windows Vista Service Pack 2 (2840642) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4.5 quando instalado no Windows Vista x64 Edition Service Pack 2 (2835622) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 quando instalado no Windows Vista x64 Edition Service Pack 2 (2833957) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 quando instalado no Windows Vista x64 Edition Service Pack 2 (2840642) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4.5 quando instalado no Windows Server 2008 para sistemas de 32 bits Service Pack 2 (2835622) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 quando instalado no Windows Server 2008 para sistemas de 32 bits Service Pack 2 (2833957) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 quando instalado no Windows Server 2008 para sistemas de 32 bits Service Pack 2 (2840642) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4.5 quando instalado no Windows Server 2008 para sistemas baseados em x64 Service Pack 2 (2835622) Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 quando instalado no Windows Server 2008 para sistemas baseados em x64 Service Pack 2 (2833957) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 quando instalado no Windows Server 2008 para sistemas baseados em x64 Service Pack 2 (2840642) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4.5 quando instalado no Windows 7 para sistemas de 32 bits Service Pack 1 (2833957) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 quando instalado no Windows 7 para sistemas de 32 bits Service Pack 1 (2840642) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4.5 quando instalado no Windows 7 para sistemas baseados em x64 Service Pack 1 (2833957) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 quando instalado no Windows 7 para sistemas baseados em x64 Service Pack 1 (2840642) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4.5 quando instalado no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (2833957) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 quando instalado no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (instalação Server Core) (2833957) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 quando instalado no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (2840642) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4.5 quando instalado no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1 (instalação Server Core) (2840642) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4.5 no Windows 8 para sistemas de 32 bits (2833958) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 no Windows 8 para sistemas de 32 bits (2840632) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4.5 no Windows 8 para sistemas de 64 bits (2833958) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 no Windows 8 para sistemas de 64 bits (2840632) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4.5 no Windows Server 2012 (2833958) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 no Windows Server 2012 (instalação Server Core) (2833958) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 no Windows Server 2012 (2840632) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4.5 no Windows Server 2012 (instalação Server Core) (2840632) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft .NET Framework 4.5 no Windows RT (2833958) Não aplicável Execução remota crítica de código Importante elevação de privilégio Importante elevação de privilégio Execução remota crítica de código Não aplicável Não aplicável Crítico
Microsoft .NET Framework 4.5 no Windows RT (2840632) Não aplicável Não aplicável Não aplicável Não aplicável Não aplicável Importante elevação de privilégio Não aplicável Importante
Microsoft Silverlight 5
Microsoft Silverlight 5 quando instalado no Mac (2847559) Execução remota de código importante Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Execução remota de código importante Crítico
Microsoft Silverlight 5 Developer Runtime quando instalado no Mac (2847559) Execução remota de código importante Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Execução remota de código importante Crítico
Microsoft Silverlight 5 quando instalado em edições de 32 bits de clientes Microsoft Windows (2847559) Execução remota de código importante Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Execução remota de código importante Crítico
Microsoft Silverlight 5 quando instalado em edições baseadas em x64 de clientes Microsoft Windows (2847559) Execução remota de código importante Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Execução remota de código importante Crítico
Microsoft Silverlight 5 Developer Runtime quando instalado em todas as versões com suporte de clientes Microsoft Windows (2847559) Execução remota de código importante Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Execução remota de código importante Crítico
Microsoft Silverlight 5 quando instalado em edições de 32 bits de servidores Microsoft Windows (2847559) Execução remota de código importante Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Execução remota de código importante Crítico
Microsoft Silverlight 5 quando instalado em edições baseadas em x64 de servidores Microsoft Windows (2847559) Execução remota de código importante Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Execução remota de código importante Crítico
Microsoft Silverlight 5 Developer Runtime quando instalado em todas as versões com suporte de servidores Microsoft Windows (2847559) Execução remota de código importante Execução remota crítica de código Não aplicável Não aplicável Não aplicável Não aplicável Execução remota de código importante Crítico

 

Vulnerabilidade de análise de fonte TrueType - CVE-2013-3129

Existe uma vulnerabilidade de execução remota de código na maneira como os componentes afetados manipulam arquivos de fonte TrueType especialmente criados. A vulnerabilidade pode permitir a execução remota de código se um usuário abrir um arquivo de fonte TrueType especialmente criado. O invasor que explorar com êxito essa vulnerabilidade poderá assumir o controle total de um sistema afetado. Um invasor pode então instalar programas; visualizar, alterar ou excluir dados; ou criar novas contas com direitos administrativos completos.

Para exibir esta vulnerabilidade como uma entrada padrão na lista Common Vulnerabilities and Exposures, consulte CVE-2013-3129.

Fatores atenuantes

A Microsoft não identificou nenhum fator atenuante para esta vulnerabilidade.

Soluções Alternativas

A Microsoft não identificou quaisquer soluções alternativas para esta vulnerabilidade.

Perguntas frequentes

Qual é a abrangência da vulnerabilidade?
Esta é uma vulnerabilidade de execução remota de código.

O que causa a vulnerabilidade?
A vulnerabilidade é causada quando o Windows não consegue manipular corretamente arquivos TTF (TrueType Fonts) especialmente criados.

O que éTrueType?
TrueType é uma tecnologia de fonte digital usada em sistemas operacionais Microsoft.

Para que um invasor pode usar a vulnerabilidade?
O invasor que explorar com êxito essa vulnerabilidade poderá executar código arbitrário no modo kernel. Um invasor pode então instalar programas; visualizar, alterar ou excluir dados; ou criar novas contas com direitos administrativos completos.

Como um invasor pode explorar avulnerabilidade?
Há várias maneiras de um invasor explorar essa vulnerabilidade.

Num cenário de ataque baseado na Web, um intruso poderia alojar um Web site especialmente concebido para explorar esta vulnerabilidade e, em seguida, convencer um utilizador a visualizar o Web site. Um invasor não teria como forçar os usuários a exibir o conteúdo controlado pelo invasor. Em vez disso, um invasor teria que convencer os usuários a agir, geralmente fazendo com que eles cliquem em um link em uma mensagem de email ou em uma mensagem do Instant Messenger que leva os usuários ao site do invasor ou abrindo um anexo enviado por email.

Em um cenário de ataque de compartilhamento de arquivos, um invasor pode fornecer um arquivo de documento especialmente criado projetado para explorar essa vulnerabilidade e, em seguida, convencer um usuário a abrir o arquivo de documento.

Em um cenário de ataque local, um invasor também pode explorar essa vulnerabilidade executando um aplicativo especialmente criado para assumir o controle total sobre o sistema afetado. No entanto, o invasor deve ter credenciais de logon válidas e ser capaz de fazer logon localmente para explorar essa vulnerabilidade nesse cenário.

Quais são os sistemas que mais correm risco com a vulnerabilidade?
As estações de trabalho e os servidores de terminal são os que correm mais risco.

O que a atualização faz?
A atualização elimina a vulnerabilidade corrigindo como o Windows manipula arquivos TTF (TrueType Font) especialmente criados.

Quando este boletim de segurança foi emitido, esta vulnerabilidade tinha sido divulgada publicamente?
Não. A Microsoft recebeu informações sobre esta vulnerabilidade através da divulgação coordenada de vulnerabilidades.

Quando este boletim de segurança foi emitido, a Microsoft tinha recebido relatórios de que esta vulnerabilidade estava a ser explorada?
Não. A Microsoft não tinha recebido nenhuma informação que indicasse que esta vulnerabilidade tinha sido usada publicamente para atacar clientes quando este boletim de segurança foi publicado originalmente.

 

Vulnerabilidade de violação de acesso à matriz - CVE-2013-3131

Existe uma vulnerabilidade de execução remota de código na maneira como o .NET Framework manipula matrizes multidimensionais de pequenas estruturas.

Para exibir esta vulnerabilidade como uma entrada padrão na lista Common Vulnerabilities and Exposures, consulte CVE-2013-3131.

Fatores atenuantes

Mitigação refere-se a uma configuração, configuração comum ou prática recomendada geral, existente em um estado padrão, que pode reduzir a gravidade da exploração de uma vulnerabilidade. Os seguintes fatores atenuantes podem ser úteis em sua situação:

  • Um intruso que conseguisse explorar esta vulnerabilidade com êxito poderia obter os mesmos direitos de utilizador que o utilizador com sessão iniciada. Os usuários cujas contas estão configuradas para ter menos direitos de usuário no sistema correm menos riscos do que aqueles que têm direitos de usuário administrativo.
  • Em um cenário de ataque baseado na Web, um invasor pode hospedar um site que contenha uma página da Web usada para explorar essa vulnerabilidade. Além disso, sites comprometidos e sites que aceitam ou hospedam conteúdo fornecido pelo usuário ou anúncios podem conter conteúdo especialmente criado que pode explorar essa vulnerabilidade. Em todos os casos, no entanto, um invasor não teria como forçar os usuários a visitar esses sites. Em vez disso, um invasor teria que persuadir os usuários a visitar o site, geralmente fazendo com que eles cliquem em um link em uma mensagem de email ou mensagem do Instant Messenger que leva os usuários ao site do invasor.
  • Esta vulnerabilidade não pode ser explorada automaticamente por e-mail. O arquivo especialmente criado pode ser enviado como um anexo de email, mas o invasor precisa convencer o usuário a abrir o anexo para explorar a vulnerabilidade.

Soluções Alternativas

Solução alternativa refere-se a uma configuração ou alteração de configuração que não corrige a vulnerabilidade subjacente, mas que ajudaria a bloquear vetores de ataque conhecidos antes de aplicar a atualização. A Microsoft testou as seguintes soluções alternativas e estados na discussão se uma solução alternativa reduz a funcionalidade:

  • Impedir temporariamente que o Microsoft Silverlight seja executado no Internet Explorer
    Desabilitar temporariamente o Silverlight no Internet Explorer pode ajudar a proteger contra essas vulnerabilidades. Para desativar o Silverlight no Internet Explorer, execute estas etapas:

    1. No Internet Explorer, clique no menu Ferramentas e, em seguida, clique em Opções da Internet.
    2. Clique na guia programas e, em seguida, clique em Gerenciar complementos.
    3. Na lista barras de ferramentas e extensões, localize "Microsoft Silverlight" e, em seguida, clique em Desativar .
  • Impedir temporariamente que o Microsoft Silverlight seja executado noMozillaFirefox
    Desativar temporariamente o Silverlight no Mozilla Firefox pode ajudar a proteger contra essas vulnerabilidades. Para desativar o Silverlight no Firefox, siga estas etapas:

    1. No Firefox, clique no menu Ferramentas e, em seguida, clique em Addons.
    2. Na janela Addons, clique na guia Plug-ins.
    3. Localize o plug-in do Silverlight e clique em Desativar.
  • Impedir temporariamente que o Microsoft Silverlight seja executado noGoogle Chrome
    Desativar temporariamente o Silverlight no Google Chrome pode ajudar a proteger contra essas vulnerabilidades. Para desativar o Silverlight no Chrome, siga estas etapas:

    1. Na barra de endereços do Chrome, digite about:plugins.
    2. Na página exibida, localize o plug-in do Silverlight e desative-o.

Perguntas frequentes

Qual é a abrangência da vulnerabilidade?
Esta é uma vulnerabilidade de execução remota de código.

O que causa a vulnerabilidade?
A vulnerabilidade é causada quando o .NET Framework manipula incorretamente matrizes multidimensionais de pequenas estruturas.

Para que um invasor pode usar a vulnerabilidade?
Em um cenário de ataque a aplicativos .NET, um invasor que explorar com êxito essa vulnerabilidade poderá obter as mesmas permissões que o usuário conectado no momento. Se um usuário estiver conectado com direitos administrativos, um invasor poderá assumir o controle total do sistema afetado. Um invasor pode instalar programas, exibir, alterar ou excluir dados, além de criar contas com direitos de usuário totais. Os usuários cujas contas estão configuradas para ter menos direitos de usuário no sistema correm menos riscos do que aqueles que têm direitos de usuário administrativo.

Num cenário de navegação na Web, um intruso que explorasse esta vulnerabilidade com êxito poderia executar código arbitrário em nome do utilizador visado. Se um usuário estiver conectado com direitos administrativos, um invasor poderá assumir o controle total do sistema afetado. Um invasor pode instalar programas, exibir, alterar ou excluir dados, além de criar contas com direitos de usuário totais. Os usuários cujas contas estão configuradas para ter menos direitos de usuário no sistema correm menos riscos do que aqueles que têm direitos de usuário administrativo.

Como um invasor pode explorar a vulnerabilidade?
Em um cenário de ataque a aplicativos .NET, um invasor pode modificar os dados da matriz de uma maneira que permita a execução remota de código.

Num cenário de ataque baseado na Web, um intruso poderia alojar um Web site que contivesse uma aplicação Silverlight especialmente concebida para explorar esta vulnerabilidade e, em seguida, convencer um utilizador a visualizar o Web site. O invasor também pode tirar proveito de sites comprometidos e sites que aceitam ou hospedam conteúdo fornecido pelo usuário ou anúncios. Esses sites podem conter conteúdo especialmente criado que pode explorar essa vulnerabilidade. Em todos os casos, no entanto, um invasor não teria como forçar os usuários a visitar esses sites. Em vez disso, um invasor teria que convencer os usuários a visitar o site, geralmente fazendo com que eles cliquem em um link em uma mensagem de email ou em uma mensagem do Instant Messenger que leva os usuários ao site do invasor. Também pode ser possível exibir conteúdo da Web especialmente criado usando anúncios de banner ou usando outros métodos para entregar conteúdo da Web aos sistemas afetados.

Quais são os sistemas que mais correm risco com a vulnerabilidade?
A exploração bem-sucedida desta vulnerabilidade requer que um usuário esteja conectado e visitando sites usando um navegador da Web capaz de instanciar aplicativos do Silverlight. Portanto, todos os sistemas em que um navegador da Web é usado com frequência, como estações de trabalho ou servidores de terminal, correm mais risco com essa vulnerabilidade. Os servidores podem correr mais riscos se os administradores permitirem que os usuários naveguem e leiam emails nos servidores. No entanto, as práticas recomendadas desencorajam fortemente a permissão disso.

O que é o Microsoft Silverlight?
O Microsoft Silverlight é uma implementação multinavegador e multiplataforma do Microsoft .NET Framework para criar experiências de mídia e aplicativos interativos avançados para a Web. Para obter mais informações, consulte o site oficial do Microsoft Silverlight.

Estou executando o Internet Explorer para Windows Server 2003, Windows Server 2008, Windows Server 2008 R2 ou Windows Server 2012. Isso atenua essa vulnerabilidade?
Sim. Por padrão, o Internet Explorer no Windows Server 2003, Windows Server 2008, Windows Server 2008 R2 e Windows Server 2012 é executado em um modo restrito conhecido como Configuração de Segurança Reforçada. A Configuração de Segurança Reforçada é um grupo de configurações pré-configuradas no Internet Explorer que pode reduzir a probabilidade de um usuário ou administrador baixar e executar conteúdo da Web especialmente criado em um servidor. Esse é um fator atenuante para sites que você não adicionou à zona de sites confiáveis do Internet Explorer.

O EMET ajuda a mitigar ataques que poderiam tentar explorar essa vulnerabilidade?
Sim. O Enhanced Mitigation Experience Toolkit (EMET) permite que os usuários gerenciem tecnologias de mitigação de segurança que ajudam a dificultar a exploração de vulnerabilidades em um determinado software. O EMET ajuda a mitigar essa vulnerabilidade onde o EMET está instalado e configurado para funcionar com o software afetado.

Observação O software deve ser optado por usar tecnologias de mitigação EMET. Para o .NET Framework, os usuários podem optar pelos aplicativos que usam o .NET Framework. Para o Microsoft Silverlight, os usuários podem optar pela versão instalada do Internet Explorer.

Para obter mais informações sobre o EMET, consulte The Enhanced Mitigation Experience Toolkit.

O que a atualização faz?
A atualização elimina a vulnerabilidade corrigindo como o .NET Framework manipula matrizes multidimensionais de pequenas estruturas.

Quando este boletim de segurança foi emitido, esta vulnerabilidade tinha sido divulgada publicamente?
Sim. Esta vulnerabilidade foi divulgada publicamente.

Quando este boletim de segurança foi emitido, a Microsoft tinha recebido relatórios de que esta vulnerabilidade estava a ser explorada?
Não. A Microsoft não tinha recebido nenhuma informação que indicasse que esta vulnerabilidade tinha sido usada publicamente para atacar clientes quando este boletim de segurança foi publicado originalmente.

 

Vulnerabilidade de desvio de reflexão delegada - CVE-2013-3132

Existe uma vulnerabilidade de elevação de privilégio na maneira como o .NET Framework valida as permissões de determinados objetos que executam reflexão. O invasor que explorar com êxito essa vulnerabilidade poderá assumir o controle total de um sistema afetado.

Para exibir esta vulnerabilidade como uma entrada padrão na lista Common Vulnerabilities and Exposures, consulte CVE-2013-3132.

Fatores atenuantes

Mitigação refere-se a uma configuração, configuração comum ou prática recomendada geral, existente em um estado padrão, que pode reduzir a gravidade da exploração de uma vulnerabilidade. Os seguintes fatores atenuantes podem ser úteis em sua situação:

  • Um intruso que conseguisse explorar esta vulnerabilidade com êxito poderia obter os mesmos direitos de utilizador que o utilizador com sessão iniciada. Os usuários cujas contas estão configuradas para ter menos direitos de usuário no sistema correm menos riscos do que aqueles que têm direitos de usuário administrativo.
  • Por padrão, os aplicativos XBAP solicitam ao usuário antes de executar o código.
  • Por padrão, o Internet Explorer 9 e o Internet Explorer 10 impedem que o XAML, usado por XBAPs, seja executado na Zona da Internet.
  • Por padrão, o Internet Explorer 6, o Internet Explorer 7 e o Internet Explorer 8 são configurados para avisar o usuário antes de executar o XAML, que é usado por XBAPs, na Zona da Internet.
  • Em um cenário de ataque baseado na Web, um invasor pode hospedar um site que contenha uma página da Web usada para explorar essa vulnerabilidade. Além disso, sites comprometidos e sites que aceitam ou hospedam conteúdo fornecido pelo usuário ou anúncios podem conter conteúdo especialmente criado que pode explorar essa vulnerabilidade. Em todos os casos, no entanto, um invasor não teria como forçar os usuários a visitar esses sites. Em vez disso, um invasor teria que persuadir os usuários a visitar o site, geralmente fazendo com que eles cliquem em um link em uma mensagem de email ou mensagem do Instant Messenger que leva os usuários ao site do invasor.
  • Por padrão, o Internet Explorer no Windows Server 2003 e no Windows Server 2008 é executado em um modo restrito conhecido como Configuração de Segurança Reforçada. Este modo atenua esta vulnerabilidade. Consulte a seção Perguntas frequentes desta atualização de segurança para obter mais informações sobre a Configuração de Segurança Reforçada do Internet Explorer.

Soluções Alternativas

Solução alternativa refere-se a uma configuração ou alteração de configuração que não corrige a vulnerabilidade subjacente, mas que ajudaria a bloquear vetores de ataque conhecidos antes de aplicar a atualização. A Microsoft testou as seguintes soluções alternativas e estados na discussão se uma solução alternativa reduz a funcionalidade:

  • Restrinja os sites apenas aos seus sites confiáveis
    Como solução alternativa para esse problema, você pode adicionar sites confiáveis à Zona Confiável do Internet Explorer, depois de desabilitar o Script Ativo na Zona da Internet. Isso permitirá que você continue usando sites confiáveis exatamente como você faz hoje, enquanto aumenta as restrições em sites não confiáveis. Quando você conseguir implantar o patch, poderá reativar o Active Scripting na Zona da Internet.

    Para fazer isso, execute estas etapas:

    1. No Internet Explorer, clique no menu Ferramentas e, em seguida, clique em Opções da Internet.

    2. Clique na guia Segurança e, na área denominada Selecionar uma zona de conteúdo da Web para especificar suas configurações de segurança atuais, clique em Sites Confiáveis.

    3. Clique em Sites e adicione os sites que não exigem uma conexão segura fazendo o seguinte:

      • Desmarque a caixa de seleção Exigir verificação do servidor (https:) para todos os sites nesta zona.

      • Na área denominada Adicionar este Site à zona:, digite a URL de um site confiável e clique no botão Adicionar .

      • Repita para cada site que você deseja adicionar à zona.

    4. Clique em OK duas vezes para aceitar as alterações e retornar ao Internet Explorer.

    Adicione todos os sites em que você confia para não executar ações maliciosas em seu computador. Um em particular que você pode querer adicionar é https://windowsupdate.microsoft.com. Este é o site que hospeda o patch e requer scripts ativos para instalar o patch. Observe que geralmente há uma compensação entre facilidade de uso e segurança; Ao selecionar uma configuração de alta segurança, você pode tornar extremamente improvável que um site mal-intencionado possa tomar medidas contra você, mas ao custo de perder muitas funcionalidades avançadas. O equilíbrio apropriado entre segurança e facilidade de uso é diferente para todos, e você deve escolher uma configuração que atenda às suas necessidades. A boa notícia é que é fácil alterar sua configuração, e você pode tentar diferentes configurações até encontrar a certa para você até que você possa instalar o patch.

  • Desabilitar aplicativos de navegador XAML no Internet Explorer
    Para ajudar a proteger contra essa vulnerabilidade, altere suas configurações para avisar antes de executar aplicativos de navegador XAML (XBAPs) ou para desabilitar XBAPs nas zonas de segurança da Internet e da intranet local da seguinte maneira:

    1. No Internet Explorer, clique no menu Ferramentas e selecione Opções da Internet.
    2. Clique na guia segurança , clique em Internet e, em seguida, clique em nível personalizado . Em Configurações, para XAML solto, clique em Avisar ou Desabilitar e clique em OK.
    3. Clique na guia segurança , clique em Internet e, em seguida, clique em nível personalizado . Em Configurações, para aplicativos de navegador XAML, clique em Avisar ou Desabilitar e clique em OK.
    4. Clique na guia segurança , clique em Internet e, em seguida, clique em nível personalizado . Em Configurações, para documentos XPS, clique em Avisar ou Desabilitar e clique em OK.
    5. Na guia Segurança, clique em Nível personalizado. Em Componentes dependentes do .NET Framework, defina Executar componentes não assinados com Authenticode como Avisar ou Desabilitar e clique em OK. Repita esta etapa para Executar componentes assinados com Authenticode e clique em OK.
    6. Clique em Intranet local e, em seguida, clique em Nível personalizado. Repita as etapas 3 e 4. Se você for solicitado a confirmar que deseja alterar essas configurações, clique em Sim. Clique em OK para retornar ao Internet Explorer.

    Impacto da solução alternativa. O código do Microsoft .NET não será executado no Internet Explorer ou não será executado sem solicitação. Desabilitar aplicativos e componentes do Microsoft .NET nas zonas de segurança da Internet e da intranet local pode fazer com que alguns sites funcionem incorretamente. Se você tiver dificuldade para usar um site depois de alterar essa configuração e tiver certeza de que o site é seguro para uso, poderá adicioná-lo à sua lista de sites confiáveis. Isso permitirá que o site funcione corretamente.

Perguntas frequentes

Qual é a abrangência da vulnerabilidade?
Esta é uma vulnerabilidade de elevação de privilégio.

O que causa a vulnerabilidade?
A vulnerabilidade é causada quando o .NET Framework valida incorretamente as permissões de objetos que executam reflexão.

Para que um invasor pode usar a vulnerabilidade?
O invasor que explorar com êxito essa vulnerabilidade poderá assumir o controle total do sistema afetado. Um invasor pode instalar programas, exibir, alterar ou excluir dados, além de criar contas com direitos de usuário totais.

Como um invasor pode explorar a vulnerabilidade?
Há dois cenários de ataque possíveis para explorar essa vulnerabilidade: um cenário de navegação na Web e um cenário de desvio de aplicativo do Windows .NET de restrições de CAS (Segurança de Acesso ao Código). Esses cenários são descritos a seguir:

  • Cenário de ataque de navegação na Web
    Um invasor pode hospedar um site especialmente criado que contenha um XBAP (aplicativo de navegador XAML) especialmente criado que possa explorar essa vulnerabilidade e, em seguida, convencer um usuário a exibir o site. O invasor também pode tirar proveito de sites comprometidos e sites que aceitam ou hospedam conteúdo fornecido pelo usuário ou anúncios. Esses sites podem conter conteúdo especialmente criado que pode explorar essa vulnerabilidade. Em todos os casos, no entanto, um invasor não teria como forçar os usuários a visitar esses sites. Em vez disso, um invasor teria que convencer os usuários a visitar o site, geralmente fazendo com que eles cliquem em um link em uma mensagem de email ou em uma mensagem do Instant Messenger que leva os usuários ao site do invasor. Também pode ser possível exibir conteúdo da Web especialmente criado usando anúncios de banner ou usando outros métodos para entregar conteúdo da Web aos sistemas afetados.
  • Cenário de ataque a aplicativos do Windows .NET
    Essa vulnerabilidade também pode ser usada por aplicativos do Windows .NET Framework para ignorar as restrições de CAS (Segurança de Acesso ao Código).

O que é um aplicativo de navegador XAML (XBAP)?
Um aplicativo de navegador XAML (XBAP) combina recursos de um aplicativo Web e um aplicativo rich client. Assim como os aplicativos Web, os XBAPs podem ser publicados em um servidor Web e iniciados a partir do Internet Explorer. Como aplicativos rich client, os XBAPs podem aproveitar os recursos do Windows Presentation Foundation (WPF). Para obter mais informações sobre XBAPs, consulte o artigo do MSDN, Windows Presentation Foundation XAML Browser Applications Overview.

O que são restrições de CAS (Segurança de Acesso ao Código) do .NET Framework?
O .NET Framework fornece um mecanismo de segurança chamado segurança de acesso a código para ajudar a proteger os sistemas de computador contra código móvel mal-intencionado, para permitir que código de origens desconhecidas seja executado com proteção e para ajudar a impedir que códigos confiáveis comprometam a segurança intencionalmente ou acidentalmente. A segurança de acesso ao código (CAS) permite que o código seja confiável em diferentes graus, dependendo de onde o código se origina e de outros aspectos da identidade do código. A segurança de acesso ao código também impõe os diferentes níveis de confiança no código, o que minimiza a quantidade de código que deve ser totalmente confiável para ser executado. O uso da segurança de acesso ao código pode reduzir a probabilidade de que seu código seja usado indevidamente por código mal-intencionado ou cheio de erros. Para obter mais informações sobre CAS, consulte o artigo do MSDN, Segurança de acesso ao código.

Estou executando o Internet Explorer para Windows Server 2003, Windows Server 2008 ou Windows Server 2008 R2. Isso atenua essa vulnerabilidade?
Sim. Por padrão, o Internet Explorer no Windows Server 2003, Windows Server 2008 e Windows Server 2008 R2 é executado em um modo restrito conhecido como Configuração de Segurança Reforçada. A Configuração de Segurança Reforçada é um grupo de configurações pré-configuradas no Internet Explorer que pode reduzir a probabilidade de um usuário ou administrador baixar e executar conteúdo da Web especialmente criado em um servidor. Esse é um fator atenuante para sites que você não adicionou à zona de sites confiáveis do Internet Explorer.

Quais são os sistemas que mais correm risco com a vulnerabilidade?
Há dois tipos de sistemas em risco com essa vulnerabilidade, descritos a seguir: sistemas que estão usando o cenário de navegação na Web e sistemas que estão usando o cenário de aplicativos do Windows .NET Framework.

  • Cenário de navegação na Web
    A exploração bem-sucedida desta vulnerabilidade requer que um usuário esteja conectado e visitando sites usando um navegador da Web capaz de instanciar XBAPs. Portanto, todos os sistemas em que um navegador da Web é usado com frequência, como estações de trabalho ou servidores de terminal, correm mais risco com essa vulnerabilidade. Os servidores podem correr mais riscos se os administradores permitirem que os usuários naveguem e leiam emails nos servidores. No entanto, as práticas recomendadas desencorajam fortemente a permissão disso.
  • Aplicativos do Windows .NET
    Estações de trabalho e servidores que executam aplicativos não confiáveis do Windows .NET Framework também correm risco com essa vulnerabilidade.

O que a atualização faz?
A atualização elimina a vulnerabilidade corrigindo como o .NET Framework valida as permissões de objetos que executam reflexão.

Quando este boletim de segurança foi emitido, esta vulnerabilidade tinha sido divulgada publicamente?
Não. A Microsoft recebeu informações sobre esta vulnerabilidade através da divulgação coordenada de vulnerabilidades.

Quando este boletim de segurança foi emitido, a Microsoft tinha recebido relatórios de que esta vulnerabilidade estava a ser explorada?
Não. A Microsoft não tinha recebido nenhuma informação que indicasse que esta vulnerabilidade tinha sido usada publicamente para atacar clientes quando este boletim de segurança foi publicado originalmente.

 

Vulnerabilidade de injeção de método anônimo - CVE-2013-3133

Existe uma vulnerabilidade de elevação de privilégio na maneira como o .NET Framework valida permissões para objetos envolvidos com reflexão.

Para exibir esta vulnerabilidade como uma entrada padrão na lista Common Vulnerabilities and Exposures, consulte CVE-2013-3133.

Fatores atenuantes

Mitigação refere-se a uma configuração, configuração comum ou prática recomendada geral, existente em um estado padrão, que pode reduzir a gravidade da exploração de uma vulnerabilidade. Os seguintes fatores atenuantes podem ser úteis em sua situação:

  • Um intruso que conseguisse explorar esta vulnerabilidade com êxito poderia obter os mesmos direitos de utilizador que o utilizador com sessão iniciada. Os usuários cujas contas estão configuradas para ter menos direitos de usuário no sistema correm menos riscos do que aqueles que têm direitos de usuário administrativo.
  • Por padrão, o Internet Explorer 9 e o Internet Explorer 10 impedem que o XAML, usado por XBAPs, seja executado na Zona da Internet.
  • Por padrão, o Internet Explorer 6, o Internet Explorer 7 e o Internet Explorer 8 são configurados para avisar o usuário antes de executar o XAML, que é usado por XBAPs, na Zona da Internet.
  • Em um cenário de ataque baseado na Web, um invasor pode hospedar um site que contenha uma página da Web usada para explorar essa vulnerabilidade. Além disso, sites comprometidos e sites que aceitam ou hospedam conteúdo fornecido pelo usuário ou anúncios podem conter conteúdo especialmente criado que pode explorar essa vulnerabilidade. Em todos os casos, no entanto, um invasor não teria como forçar os usuários a visitar esses sites. Em vez disso, um invasor teria que persuadir os usuários a visitar o site, geralmente fazendo com que eles cliquem em um link em uma mensagem de email ou mensagem do Instant Messenger que leva os usuários ao site do invasor.
  • Por padrão, o Internet Explorer no Windows Server 2003 e no Windows Server 2008 é executado em um modo restrito conhecido como Configuração de Segurança Reforçada. Este modo atenua esta vulnerabilidade. Consulte a seção Perguntas frequentes desta atualização de segurança para obter mais informações sobre a Configuração de Segurança Reforçada do Internet Explorer.

Soluções Alternativas

Solução alternativa refere-se a uma configuração ou alteração de configuração que não corrige a vulnerabilidade subjacente, mas que ajudaria a bloquear vetores de ataque conhecidos antes de aplicar a atualização. A Microsoft testou as seguintes soluções alternativas e estados na discussão se uma solução alternativa reduz a funcionalidade:

  • Restrinja os sites apenas aos seus sites confiáveis
    Como solução alternativa para esse problema, você pode adicionar sites confiáveis à Zona Confiável do Internet Explorer, depois de desabilitar o Script Ativo na Zona da Internet. Isso permitirá que você continue usando sites confiáveis exatamente como você faz hoje, enquanto aumenta as restrições em sites não confiáveis. Quando você conseguir implantar o patch, poderá reativar o Active Scripting na Zona da Internet.

    Para fazer isso, execute estas etapas:

    1. No Internet Explorer, clique no menu Ferramentas e, em seguida, clique em Opções da Internet.

    2. Clique na guia Segurança e, na área denominada Selecionar uma zona de conteúdo da Web para especificar suas configurações de segurança atuais, clique em Sites Confiáveis.

    3. Clique em Sites e adicione os sites que não exigem uma conexão segura fazendo o seguinte:

      • Desmarque a caixa de seleção Exigir verificação do servidor (https:) para todos os sites nesta zona.

      • Na área denominada Adicionar este Site à zona:, digite a URL de um site confiável e clique no botão Adicionar .

      • Repita para cada site que você deseja adicionar à zona.

    4. Clique em OK duas vezes para aceitar as alterações e retornar ao Internet Explorer.

    Adicione todos os sites em que você confia para não executar ações maliciosas em seu computador. Um em particular que você pode querer adicionar é https://windowsupdate.microsoft.com. Este é o site que hospeda o patch e requer scripts ativos para instalar o patch. Observe que geralmente há uma compensação entre facilidade de uso e segurança; Ao selecionar uma configuração de alta segurança, você pode tornar extremamente improvável que um site mal-intencionado possa tomar medidas contra você, mas ao custo de perder muitas funcionalidades avançadas. O equilíbrio apropriado entre segurança e facilidade de uso é diferente para todos, e você deve escolher uma configuração que atenda às suas necessidades. A boa notícia é que é fácil alterar sua configuração, e você pode tentar diferentes configurações até encontrar a certa para você até que você possa instalar o patch.

  • Desabilitar aplicativos de navegador XAML no Internet Explorer
    Para ajudar a proteger contra essa vulnerabilidade, altere suas configurações para avisar antes de executar aplicativos de navegador XAML (XBAPs) ou para desabilitar XBAPs nas zonas de segurança da Internet e da intranet local da seguinte maneira:

    1. No Internet Explorer, clique no menu Ferramentas e selecione Opções da Internet.
    2. Clique na guia segurança , clique em Internet e, em seguida, clique em nível personalizado . Em Configurações, para XAML solto, clique em Avisar ou Desabilitar e clique em OK.
    3. Clique na guia segurança , clique em Internet e, em seguida, clique em nível personalizado . Em Configurações, para aplicativos de navegador XAML, clique em Avisar ou Desabilitar e clique em OK.
    4. Clique na guia segurança , clique em Internet e, em seguida, clique em nível personalizado . Em Configurações, para documentos XPS, clique em Avisar ou Desabilitar e clique em OK.
    5. Na guia Segurança, clique em Nível personalizado. Em Componentes dependentes do .NET Framework, defina Executar componentes não assinados com Authenticode como Avisar ou Desabilitar e clique em OK. Repita esta etapa para Executar componentes assinados com Authenticode e clique em OK.
    6. Clique em Intranet local e, em seguida, clique em Nível personalizado. Repita as etapas 3 e 4. Se você for solicitado a confirmar que deseja alterar essas configurações, clique em Sim. Clique em OK para retornar ao Internet Explorer.

    Impacto da solução alternativa. O código do Microsoft .NET não será executado no Internet Explorer ou não será executado sem solicitação. Desabilitar aplicativos e componentes do Microsoft .NET nas zonas de segurança da Internet e da intranet local pode fazer com que alguns sites funcionem incorretamente. Se você tiver dificuldade para usar um site depois de alterar essa configuração e tiver certeza de que o site é seguro para uso, poderá adicioná-lo à sua lista de sites confiáveis. Isso permitirá que o site funcione corretamente.

Perguntas frequentes

Qual é a abrangência da vulnerabilidade?
Esta é uma vulnerabilidade de elevação de privilégio.

O que causa a vulnerabilidade?
A vulnerabilidade é causada quando o .NET Framework valida incorretamente as permissões de objetos envolvidos com reflexão.

Para que um invasor pode usar a vulnerabilidade?
No cenário de navegação na Web, um invasor que explorar com êxito essa vulnerabilidade poderá obter as mesmas permissões que o usuário conectado no momento. Se um usuário estiver conectado com direitos administrativos, um invasor poderá assumir o controle total do sistema afetado. Um invasor pode instalar programas, exibir, alterar ou excluir dados, além de criar contas com direitos de usuário totais. Os usuários cujas contas estão configuradas para ter menos direitos de usuário no sistema correm menos riscos do que aqueles que têm direitos de usuário administrativo.

Como um invasor pode explorar a vulnerabilidade?
Há dois cenários de ataque possíveis para explorar essa vulnerabilidade: um cenário de navegação na Web e um cenário de desvio de aplicativo do Windows .NET de restrições de CAS (Segurança de Acesso ao Código). Esses cenários são descritos a seguir:

  • Cenário de ataque de navegação na Web
    Um invasor pode hospedar um site especialmente criado que contenha um XBAP (aplicativo de navegador XAML) especialmente criado que possa explorar essa vulnerabilidade e, em seguida, convencer um usuário a exibir o site. O invasor também pode tirar proveito de sites comprometidos e sites que aceitam ou hospedam conteúdo fornecido pelo usuário ou anúncios. Esses sites podem conter conteúdo especialmente criado que pode explorar essa vulnerabilidade. Em todos os casos, no entanto, um invasor não teria como forçar os usuários a visitar esses sites. Em vez disso, um invasor teria que convencer os usuários a visitar o site, geralmente fazendo com que eles cliquem em um link em uma mensagem de email ou em uma mensagem do Instant Messenger que leva os usuários ao site do invasor. Também pode ser possível exibir conteúdo da Web especialmente criado usando anúncios de banner ou usando outros métodos para entregar conteúdo da Web aos sistemas afetados.
  • Cenário de ataque a aplicativos do Windows .NET
    Essa vulnerabilidade também pode ser usada por aplicativos do Windows .NET Framework para ignorar as restrições de CAS (Segurança de Acesso ao Código).

O que é um aplicativo de navegador XAML (XBAP)?
Um aplicativo de navegador XAML (XBAP) combina recursos de um aplicativo Web e um aplicativo rich client. Assim como os aplicativos Web, os XBAPs podem ser publicados em um servidor Web e iniciados a partir do Internet Explorer. Como aplicativos rich client, os XBAPs podem aproveitar os recursos do Windows Presentation Foundation (WPF). Para obter mais informações sobre XBAPs, consulte o artigo do MSDN, Windows Presentation Foundation XAML Browser Applications Overview.

O que são restrições de CAS (Segurança de Acesso ao Código) do .NET Framework?
O .NET Framework fornece um mecanismo de segurança chamado segurança de acesso a código para ajudar a proteger os sistemas de computador contra código móvel mal-intencionado, para permitir que código de origens desconhecidas seja executado com proteção e para ajudar a impedir que códigos confiáveis comprometam a segurança intencionalmente ou acidentalmente. A segurança de acesso ao código (CAS) permite que o código seja confiável em diferentes graus, dependendo de onde o código se origina e de outros aspectos da identidade do código. A segurança de acesso ao código também impõe os diferentes níveis de confiança no código, o que minimiza a quantidade de código que deve ser totalmente confiável para ser executado. O uso da segurança de acesso ao código pode reduzir a probabilidade de que seu código seja usado indevidamente por código mal-intencionado ou cheio de erros. Para obter mais informações sobre CAS, consulte o artigo do MSDN, Segurança de acesso ao código.

Estou executando o Internet Explorer para Windows Server 2003, Windows Server 2008 ou Windows Server 2008 R2. Isso atenua essa vulnerabilidade?
Sim. Por padrão, o Internet Explorer no Windows Server 2003, Windows Server 2008 e Windows Server 2008 R2 é executado em um modo restrito conhecido como Configuração de Segurança Reforçada. A Configuração de Segurança Reforçada é um grupo de configurações pré-configuradas no Internet Explorer que pode reduzir a probabilidade de um usuário ou administrador baixar e executar conteúdo da Web especialmente criado em um servidor. Esse é um fator atenuante para sites que você não adicionou à zona de sites confiáveis do Internet Explorer.

Quais são os sistemas que mais correm risco com a vulnerabilidade?
Há dois tipos de sistemas em risco com essa vulnerabilidade, descritos a seguir: sistemas que estão usando o cenário de navegação na Web e sistemas que estão usando o cenário de aplicativos do Windows .NET Framework.

  • Cenário de navegação na Web
    A exploração bem-sucedida desta vulnerabilidade requer que um usuário esteja conectado e visitando sites usando um navegador da Web capaz de instanciar XBAPs. Portanto, todos os sistemas em que um navegador da Web é usado com frequência, como estações de trabalho ou servidores de terminal, correm mais risco com essa vulnerabilidade. Os servidores podem correr mais riscos se os administradores permitirem que os usuários naveguem e leiam emails nos servidores. No entanto, as práticas recomendadas desencorajam fortemente a permissão disso.
  • Aplicativos do Windows .NET
    Estações de trabalho e servidores que executam aplicativos não confiáveis do Windows .NET Framework também correm risco com essa vulnerabilidade.

O que a atualização faz?
A atualização elimina a vulnerabilidade corrigindo como o .NET Framework valida as permissões de objetos envolvidos com reflexão.

Quando este boletim de segurança foi emitido, esta vulnerabilidade tinha sido divulgada publicamente?
Não. A Microsoft recebeu informações sobre esta vulnerabilidade através da divulgação coordenada de vulnerabilidades.

Quando este boletim de segurança foi emitido, a Microsoft tinha recebido relatórios de que esta vulnerabilidade estava a ser explorada?
Não. A Microsoft não tinha recebido nenhuma informação que indicasse que esta vulnerabilidade tinha sido usada publicamente para atacar clientes quando este boletim de segurança foi publicado originalmente.

 

Vulnerabilidade de alocação de matriz - CVE-2013-3134

Existe uma vulnerabilidade de execução remota de código na maneira como o Microsoft .NET Framework aloca matrizes de estruturas pequenas.

Para exibir esta vulnerabilidade como uma entrada padrão na lista Common Vulnerabilities and Exposures, consulte CVE-2013-3134.

Fatores atenuantes

Mitigação refere-se a uma configuração, configuração comum ou prática recomendada geral, existente em um estado padrão, que pode reduzir a gravidade da exploração de uma vulnerabilidade. Os seguintes fatores atenuantes podem ser úteis em sua situação:

  • Um intruso que conseguisse explorar esta vulnerabilidade com êxito poderia obter os mesmos direitos de utilizador que o utilizador com sessão iniciada. Os usuários cujas contas estão configuradas para ter menos direitos de usuário no sistema correm menos riscos do que aqueles que têm direitos de usuário administrativo.
  • Os sistemas que executam versões de 32 bits do Windows não são afetados por esta vulnerabilidade.

Soluções Alternativas

A Microsoft não identificou quaisquer soluções alternativas para esta vulnerabilidade.

Perguntas frequentes

Qual é a abrangência da vulnerabilidade?
Esta é uma vulnerabilidade de execução remota de código.

O que causa a vulnerabilidade?
A vulnerabilidade é causada quando o .NET Framework CLR aloca incorretamente uma matriz de pequenas estruturas.

O que é o CLR?
O Microsoft .NET Framework fornece um ambiente de tempo de execução chamado CLR (Common Language Runtime), que executa o código e fornece serviços que facilitam o processo de desenvolvimento. Para obter mais informações sobre o CLR, consulte Visão geral do Common Language Runtime.

Para que um invasor pode usar a vulnerabilidade?
O invasor que explorar com êxito essa vulnerabilidade poderá executar código arbitrário em nome do usuário visado. Se um usuário estiver conectado com direitos administrativos, um invasor poderá assumir o controle total do sistema afetado. Um invasor pode instalar programas, exibir, alterar ou excluir dados, além de criar contas com direitos de usuário totais. Os usuários cujas contas estão configuradas para ter menos direitos de usuário no sistema correm menos riscos do que aqueles que têm direitos de usuário administrativo.

Como um invasor pode explorar a vulnerabilidade?
Em um cenário de ataque a aplicativos .NET, um invasor pode manipular os dados de uma maneira que permita a execução remota de código.

Quais são os sistemas que mais correm risco com a vulnerabilidade?
As estações de trabalho e os servidores baseados em x64 que executam aplicativos do Windows .NET Framework são os que mais correm risco com essa vulnerabilidade.

O que a atualização faz?
A atualização elimina a vulnerabilidade modificando a maneira como o .NET Framework aloca matrizes de pequenas estruturas.

Quando este boletim de segurança foi emitido, esta vulnerabilidade tinha sido divulgada publicamente?
Sim. Esta vulnerabilidade foi divulgada publicamente.

Quando este boletim de segurança foi emitido, a Microsoft tinha recebido relatórios de que esta vulnerabilidade estava a ser explorada?
Não. A Microsoft não tinha recebido nenhuma informação que indicasse que esta vulnerabilidade tinha sido usada publicamente para atacar clientes quando este boletim de segurança foi publicado originalmente.

 

Vulnerabilidade de serialização delegada - CVE-2013-3171

Existe uma vulnerabilidade de elevação de privilégio na maneira como o .NET Framework valida permissões para objetos delegados durante a serialização.

Para exibir esta vulnerabilidade como uma entrada padrão na lista Common Vulnerabilities and Exposures, consulte CVE-2013-3171.

Fatores atenuantes

A Microsoft não identificou nenhum fator atenuante para esta vulnerabilidade.

Soluções Alternativas

A Microsoft não identificou quaisquer soluções alternativas para esta vulnerabilidade.

Perguntas frequentes

Qual é a abrangência da vulnerabilidade?
Esta é uma vulnerabilidade de elevação de privilégio.

O que causa a vulnerabilidade?
A vulnerabilidade é causada quando o .NET Framework valida incorretamente as permissões de objetos delegados durante a serialização.

Para que um invasor pode usar a vulnerabilidade?
Num cenário de navegação na Web, um intruso que explorasse esta vulnerabilidade com êxito poderia obter as mesmas permissões que o utilizador com sessão iniciada no momento. Se um usuário estiver conectado com direitos administrativos, um invasor poderá assumir o controle total do sistema afetado. Um invasor pode instalar programas, exibir, alterar ou excluir dados, além de criar contas com direitos de usuário totais. Os usuários cujas contas estão configuradas para ter menos direitos de usuário no sistema correm menos riscos do que aqueles que têm direitos de usuário administrativo.

Como um invasor pode explorar avulnerabilidade?
Há dois cenários de ataque possíveis para explorar essa vulnerabilidade: um cenário de navegação na Web e um cenário de desvio de aplicativo do Windows .NET de restrições de CAS (Segurança de Acesso ao Código). Esses cenários são descritos a seguir:

  • Cenário de ataque de navegação na Web
    Um invasor pode hospedar um site especialmente criado que contenha um XBAP (aplicativo de navegador XAML) especialmente criado que possa explorar essa vulnerabilidade e, em seguida, convencer um usuário a exibir o site. O invasor também pode tirar proveito de sites comprometidos e sites que aceitam ou hospedam conteúdo fornecido pelo usuário ou anúncios. Esses sites podem conter conteúdo especialmente criado que pode explorar essa vulnerabilidade. Em todos os casos, no entanto, um invasor não teria como forçar os usuários a visitar esses sites. Em vez disso, um invasor teria que convencer os usuários a visitar o site, geralmente fazendo com que eles cliquem em um link em uma mensagem de email ou em uma mensagem do Instant Messenger que leva os usuários ao site do invasor. Também pode ser possível exibir conteúdo da Web especialmente criado usando anúncios de banner ou usando outros métodos para entregar conteúdo da Web aos sistemas afetados.
  • Cenário de ataque a aplicativos do Windows .NET
    Essa vulnerabilidade também pode ser usada por aplicativos do Windows .NET Framework para ignorar as restrições de CAS (Segurança de Acesso ao Código).

O que é WPF?
O Microsoft .NET Framework fornece um ambiente de tempo de execução chamado Windows Presentation Foundation (WPF), que é um sistema de apresentação para criar aplicativos cliente do Windows. Para obter mais informações sobre o WPF, consulte Introdução ao WPF.

O que é um aplicativo de navegador XAML (XBAP)?
Um aplicativo de navegador XAML (XBAP) combina recursos de um aplicativo Web e um aplicativo rich client. Assim como os aplicativos Web, os XBAPs podem ser publicados em um servidor Web e iniciados a partir do Internet Explorer. Como aplicativos rich client, os XBAPs podem aproveitar os recursos do Windows Presentation Foundation (WPF). Para obter mais informações sobre XBAPs, consulte o artigo do MSDN, Windows Presentation Foundation XAML Browser Applications Overview.

Quais são os sistemas que mais correm risco com a vulnerabilidade?
Há dois tipos de sistemas em risco com essa vulnerabilidade, descritos a seguir: sistemas que estão usando o cenário de navegação na Web e sistemas que estão usando o cenário de aplicativos do Windows .NET Framework.

  • Cenário de navegação na Web
    A exploração bem-sucedida desta vulnerabilidade requer que um usuário esteja conectado e visitando sites usando um navegador da Web capaz de instanciar XBAPs. Portanto, todos os sistemas em que um navegador da Web é usado com frequência, como estações de trabalho ou servidores de terminal, correm mais risco com essa vulnerabilidade. Os servidores podem correr mais riscos se os administradores permitirem que os usuários naveguem e leiam emails nos servidores. No entanto, as práticas recomendadas desencorajam fortemente a permissão disso.
  • Cenário de aplicativos do Windows .NET
    Estações de trabalho e servidores que executam aplicativos não confiáveis do Windows .NET Framework também correm risco com essa vulnerabilidade.

O que a atualização faz?
A atualização elimina a vulnerabilidade corrigindo como o .NET Framework manipula vulnerabilidades de confiança parcial..

Quando este boletim de segurança foi emitido, esta vulnerabilidade tinha sido divulgada publicamente?
Não. A Microsoft recebeu informações sobre esta vulnerabilidade através da divulgação coordenada de vulnerabilidades.

Quando este boletim de segurança foi emitido, a Microsoft tinha recebido relatórios de que esta vulnerabilidade estava a ser explorada?
Não. A Microsoft não tinha recebido nenhuma informação que indicasse que esta vulnerabilidade tinha sido usada publicamente para atacar clientes quando este boletim de segurança foi publicado originalmente.

 

Vulnerabilidade de ponteiro nulo - CVE-2013-3178

Existe uma vulnerabilidade de execução remota de código na maneira como o Microsoft Silverlight manipula um ponteiro nulo.

Para exibir esta vulnerabilidade como uma entrada padrão na lista Common Vulnerabilities and Exposures, consulte CVE-2013-3178.

Fatores atenuantes

Mitigação refere-se a uma configuração, configuração comum ou prática recomendada geral, existente em um estado padrão, que pode reduzir a gravidade da exploração de uma vulnerabilidade. Os seguintes fatores atenuantes podem ser úteis em sua situação:

  • Um intruso que conseguisse explorar esta vulnerabilidade com êxito poderia obter os mesmos direitos de utilizador que o utilizador com sessão iniciada. Os usuários cujas contas estão configuradas para ter menos direitos de usuário no sistema correm menos riscos do que aqueles que têm direitos de usuário administrativo.
  • Em um cenário de ataque baseado na Web, um invasor pode hospedar um site que contenha uma página da Web usada para explorar essa vulnerabilidade. Além disso, sites comprometidos e sites que aceitam ou hospedam conteúdo fornecido pelo usuário ou anúncios podem conter conteúdo especialmente criado que pode explorar essa vulnerabilidade. Em todos os casos, no entanto, um invasor não teria como forçar os usuários a visitar esses sites. Em vez disso, um invasor teria que persuadir os usuários a visitar o site, geralmente fazendo com que eles cliquem em um link em uma mensagem de email ou mensagem do Instant Messenger que leva os usuários ao site do invasor.
  • Esta vulnerabilidade não pode ser explorada automaticamente por e-mail. O arquivo especialmente criado pode ser enviado como um anexo de email, mas o invasor precisa convencer o usuário a abrir o anexo para explorar a vulnerabilidade.
  • Por padrão, o Internet Explorer no Windows Server 2003 e no Windows Server 2008 é executado em um modo restrito conhecido como Configuração de Segurança Reforçada. Este modo atenua esta vulnerabilidade. Consulte a seção Perguntas frequentes desta atualização de segurança para obter mais informações sobre a Configuração de Segurança Reforçada do Internet Explorer.

Soluções Alternativas

Solução alternativa refere-se a uma configuração ou alteração de configuração que não corrige a vulnerabilidade subjacente, mas que ajudaria a bloquear vetores de ataque conhecidos antes de aplicar a atualização. A Microsoft testou as seguintes soluções alternativas e estados na discussão se uma solução alternativa reduz a funcionalidade:

  • Impedir temporariamente que o Microsoft Silverlight seja executado no Internet Explorer
    Desabilitar temporariamente o Silverlight no Internet Explorer pode ajudar a proteger contra essas vulnerabilidades. Para desativar o Silverlight no Internet Explorer, execute estas etapas:

    1. No Internet Explorer, clique no menu Ferramentas e, em seguida, clique em Opções da Internet.
    2. Clique na guia programas e, em seguida, clique em Gerenciar complementos.
    3. Na lista barras de ferramentas e extensões, localize "Microsoft Silverlight" e, em seguida, clique em Desativar .
  • Impedir temporariamente que o Microsoft Silverlight seja executado no Mozilla Firefox
    Desativar temporariamente o Silverlight no Mozilla Firefox pode ajudar a proteger contra essas vulnerabilidades. Para desativar o Silverlight no Firefox, siga estas etapas:

    1. No Firefox, clique no menu Ferramentas e, em seguida, clique em Addons.
    2. Na janela Addons, clique na guia Plug-ins.
    3. Localize o plug-in do Silverlight e clique em Desativar.
  • Impedir temporariamente que o Microsoft Silverlight seja executado no Google Chrome
    Desativar temporariamente o Silverlight no Google Chrome pode ajudar a proteger contra essas vulnerabilidades. Para desativar o Silverlight no Chrome, siga estas etapas:

    1. Na barra de endereços do Chrome, digite about:plugins.
    2. Na página exibida, localize o plug-in do Silverlight e desative-o.

Perguntas frequentes

Qual é a abrangência da vulnerabilidade?
Esta é uma vulnerabilidade de execução remota de código.

O que causa a vulnerabilidade?
A vulnerabilidade é causada quando o Silverlight manipula incorretamente uma desreferência a um ponteiro nulo.

O que é o Microsoft Silverlight?
O Microsoft Silverlight é uma implementação multinavegador e multiplataforma do Microsoft .NET Framework para criar experiências de mídia e aplicativos interativos avançados para a Web. Para obter mais informações, consulte o site oficial do Microsoft Silverlight.

Para que um invasor pode usar a vulnerabilidade?
Num cenário de navegação na Web, um intruso que explorasse esta vulnerabilidade com êxito poderia executar código arbitrário em nome do utilizador visado. Se um usuário estiver conectado com direitos administrativos, um invasor poderá assumir o controle total do sistema afetado. Um invasor pode instalar programas, exibir, alterar ou excluir dados, além de criar contas com direitos de usuário totais. Os usuários cujas contas estão configuradas para ter menos direitos de usuário no sistema correm menos riscos do que aqueles que têm direitos de usuário administrativo.

Como um invasor pode explorar a vulnerabilidade?
Um intruso poderia alojar um Web site que contivesse uma aplicação Silverlight especialmente concebida para o efeito que pudesse explorar esta vulnerabilidade e, em seguida, convencer um utilizador a visualizar o Web site. O invasor também pode tirar proveito de sites comprometidos e sites que aceitam ou hospedam conteúdo fornecido pelo usuário ou anúncios. Esses sites podem conter conteúdo especialmente criado que pode explorar essa vulnerabilidade. Em todos os casos, no entanto, um invasor não teria como forçar os usuários a visitar esses sites. Em vez disso, um invasor teria que convencer os usuários a visitar o site, geralmente fazendo com que eles cliquem em um link em uma mensagem de email ou em uma mensagem do Instant Messenger que leva os usuários ao site do invasor. Também pode ser possível exibir conteúdo da Web especialmente criado usando anúncios de banner ou usando outros métodos para entregar conteúdo da Web aos sistemas afetados.

Estou executando o Internet Explorer para Windows Server 2003, Windows Server 2008 ou Windows Server 2008 R2. Isso atenua essa vulnerabilidade?
Sim. Por padrão, o Internet Explorer no Windows Server 2003, Windows Server 2008 e Windows Server 2008 R2 é executado em um modo restrito conhecido como Configuração de Segurança Reforçada. A Configuração de Segurança Reforçada é um grupo de configurações pré-configuradas no Internet Explorer que pode reduzir a probabilidade de um usuário ou administrador baixar e executar conteúdo da Web especialmente criado em um servidor. Esse é um fator atenuante para sites que você não adicionou à zona de sites confiáveis do Internet Explorer.

Quais são os sistemas que mais correm risco com a vulnerabilidade?
A exploração bem-sucedida desta vulnerabilidade requer que um usuário esteja conectado e visitando sites usando um navegador da Web capaz de instanciar aplicativos do Silverlight. Portanto, todos os sistemas em que um navegador da Web é usado com frequência, como estações de trabalho ou servidores de terminal, correm mais risco com essa vulnerabilidade. Os servidores podem correr mais riscos se os administradores permitirem que os usuários naveguem e leiam emails nos servidores. No entanto, as práticas recomendadas desencorajam fortemente a permissão disso.

Estou executando o Internet Explorer para Windows Server 2003, Windows Server 2008, Windows Server 2008 R2 ou Windows Server 2012. Isso atenua essa vulnerabilidade?
Sim. Por padrão, o Internet Explorer no Windows Server 2003, Windows Server 2008, Windows Server 2008 R2 e Windows Server 2012 é executado em um modo restrito conhecido como Configuração de Segurança Reforçada. A Configuração de Segurança Reforçada é um grupo de configurações pré-configuradas no Internet Explorer que pode reduzir a probabilidade de um usuário ou administrador baixar e executar conteúdo da Web especialmente criado em um servidor. Esse é um fator atenuante para sites que você não adicionou à zona de sites confiáveis do Internet Explorer.

O EMET ajuda a mitigar ataques que poderiam tentar explorar essa vulnerabilidade? Sim. O Enhanced Mitigation Experience Toolkit (EMET) permite que os usuários gerenciem tecnologias de mitigação de segurança que ajudam a dificultar a exploração de vulnerabilidades em um determinado software. O EMET ajuda a mitigar essa vulnerabilidade onde o EMET está instalado e configurado para funcionar com o software afetado.

Observação O software deve ser optado por usar tecnologias de mitigação EMET. Para o .NET Framework, os usuários podem optar pelos aplicativos que usam o .NET Framework. Para o Microsoft Silverlight, os usuários podem optar pela versão instalada do Internet Explorer.

Para obter mais informações sobre o EMET, consulte The Enhanced Mitigation Experience Toolkit.

O que a atualização faz?
A atualização elimina a vulnerabilidade corrigindo como o .NET Framework inicializa matrizes de memória.

Quando este boletim de segurança foi emitido, esta vulnerabilidade tinha sido divulgada publicamente?
Não. A Microsoft recebeu informações sobre esta vulnerabilidade através da divulgação coordenada de vulnerabilidades.

Quando este boletim de segurança foi emitido, a Microsoft tinha recebido relatórios de que esta vulnerabilidade estava a ser explorada?
Não. A Microsoft não tinha recebido nenhuma informação que indicasse que esta vulnerabilidade tinha sido usada publicamente para atacar clientes quando este boletim de segurança foi publicado originalmente.

 

Informações de atualização

Orientação e ferramentas de detecção e implantação

Vários recursos estão disponíveis para ajudar os administradores a implantar atualizações de segurança. 

  • O Microsoft Baseline Security Analyzer (MBSA) permite que os administradores verifiquem os sistemas locais e remotos em busca de atualizações de segurança ausentes e configurações incorretas de segurança comuns. 
  • O Windows Server Update Services (WSUS), o Systems Management Server (SMS) e o System Center Configuration Manager (SCCM) ajudam os administradores a distribuir atualizações de segurança. 
  • Os componentes do Update Compatibility Evaluator incluídos no Application Compatibility Toolkit ajudam a simplificar o teste e a validação de atualizações do Windows em relação aos aplicativos instalados. 

Para obter informações sobre essas e outras ferramentas disponíveis, consulte Ferramentas de segurança para profissionais de TI. 

Implantação de atualização de segurança

Softwares afetados

Para obter informações sobre a atualização de segurança específica para o software afetado, clique no link apropriado:

Windows XP (todas as edições)

Tabela de Referência

A tabela a seguir contém as informações de atualização de segurança para este software.

Inclusão em Service Packs Futuros A atualização para esse problema será incluída em um service pack ou pacote cumulativo de atualizações futuro
Nomes de arquivo de atualização de segurança Para Microsoft .NET Framework 1.0 Service Pack 3 no Windows XP Tablet PC Edition 2005 Service Pack 3 e Windows XP Media Center Edition 2005 Service Pack 3:\ NDP1.0sp3-KB2833951-X86-Ocm-Enu.exe
Para Microsoft .NET Framework 1.1 Service Pack 1 quando instalado no Windows XP Service Pack 3:\ NDP1.1sp1-KB2833941-X86.exe
Para Microsoft .NET Framework 2.0 Service Pack 2 quando instalado no Windows XP Service Pack 3:\ NDP20SP2-KB2833940-x86.exe\ NDP20SP2-KB2844285-v2-x86.exe
Para Microsoft .NET Framework 3.0 Service Pack 2 quando instalado no Microsoft Windows XP Service Pack 3:\ NDP30SP2-KB2832411-x86.exe
Para Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows XP Service Pack 3\ NDP35SP1-KB2840629-x86.exe
Para Microsoft .NET Framework 4 quando instalado no Windows XP Service Pack 3:\ NDP40-KB2832407-x86.exe\ NDP40-KB2835393-x86.exe\ NDP40-KB2840628-v2-x86.exe
Para Microsoft .NET Framework 1.1 Service Pack 1 quando instalado no Windows XP Professional x64 Edition Service Pack 2:\ NDP1.1sp1-KB2833941-X86.exe
Para Microsoft .NET Framework 2.0 Service Pack 2 quando instalado no Windows XP Professional x64 Edition Service Pack 2:\ NDP20SP2-KB2833940-x64.exe\ NDP20SP2-KB2844285-v2-x64.exe
Para Microsoft .NET Framework 3.0 Service Pack 2 quando instalado no Microsoft Windows XP Professional x64 Edition Service Pack 2:\ NDP30SP2-KB2832411-x64.exe
Para Microsoft .NET Framework 4 quando instalado no Windows XP Professional x64 Edition Service Pack 2:\ NDP40-KB2832407-x64.exe\ NDP40-KB2835393-x64.exe\ NDP40-KB2840628-v2-x64.exe
Opções de instalação Consulte o Artigo 2844699 da Base de Dados de Conhecimento Microsoft
Atualizar arquivo de log Para Microsoft .NET Framework 1.0 Service Pack 3:\ KB2833951.log
Para Microsoft .NET Framework 1.1 Service Pack 1:\ NDP1.1SP1-KB2833941-x86-msi.0.log\ NDP1.1SP1-KB2833941-x86-wrapper.log
Para Microsoft .NET Framework 2.0 Service Pack 2:\ Microsoft .NET Framework 2.0-KB2833940_*-msi0.txt\ Microsoft .NET Framework 2.0-KB2833940_*.html
Para Microsoft .NET Framework 2.0 Service Pack 2:\ Microsoft .NET Framework 2.0-KB2844285_*-msi0.txt\ Microsoft .NET Framework 2.0-KB2844285_*.html
Para Microsoft .NET Framework 3.0 Service Pack 2:\ Microsoft .NET Framework 3.0-KB2832411_*-msi0.txt\ Microsoft .NET Framework 3.0-KB2832411_*.html
Para Microsoft .NET Framework 3.5 Service Pack 1:\ Microsoft .NET Framework 3.5-KB2840629_*-msi0.txt Microsoft .NET Framework 3.5-KB2840629_*.html
Para Microsoft .NET Framework 4:\ KB2832407_**-Microsoft .NET Framework 4 Client Profile-MSP0.txt\ KB2832407*_*.html
Para Microsoft .NET Framework 4:\ KB2835393_**-Microsoft .NET Framework 4 Client Profile-MSP0.txt\ KB2835393*_*.html
Para Microsoft .NET Framework 4:\ KB2840628_**-Microsoft .NET Framework 4 Client Profile-MSP0.txt\ KB2840628*_*.html
Requisito de reinicialização Em alguns casos, esta atualização não requer uma reinicialização. Se os arquivos necessários estiverem sendo usados, essa atualização exigirá uma reinicialização. Se esse comportamento ocorrer, será exibida uma mensagem que o aconselha a reiniciar.\ \ Para ajudar a reduzir a chance de que uma reinicialização seja necessária, pare todos os serviços afetados e feche todos os aplicativos que possam usar os arquivos afetados antes de instalar a atualização de segurança. Para obter mais informações sobre os motivos pelos quais você pode ser solicitado a reiniciar, consulte o Artigo 887012 da Base de Dados de Conhecimento Microsoft.
Informações de remoção Use o item Adicionar ou remover programas no painel de controle.
Informações de arquivo Consulte o Artigo 2861561 da Base de Dados de Conhecimento Microsoft
Verificação da chave do Registro Para Microsoft .NET Framework 1.0 Service Pack 3:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates.NETFramework\1.0\M2833951|
Para Microsoft .NET Framework 1.1 Service Pack 1:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates.NETFramework\1.1\M2833941\ "Instalado" = dword:1
Para Microsoft .NET Framework 2.0 Service Pack 2:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 2.0 Service Pack 2\SP2\KB2833940\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 2.0 Service Pack 2:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 2.0 Service Pack 2\SP2\KB2844285v2\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 3.0 Service Pack 2:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 3.0 Service Pack 2\SP2\KB2832411\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 3.5 Service Pack 1:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 3.5 SP1\SP1\KB2840629\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições de 32 bits com suporte do Windows XP:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2832407\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições de 32 bits com suporte do Windows XP:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2835393\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições de 32 bits com suporte do Windows XP:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2840628v2\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições baseadas em x64 com suporte do Windows XP:\ HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2832407\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições baseadas em x64 com suporte do Windows XP:\ HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2835393\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições baseadas em x64 com suporte do Windows XP:\ HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2840628v2\ "ThisVersionInstalled" = "Y

Observação A atualização para versões com suporte do Windows XP Professional x64 Edition também se aplica a versões com suporte do Windows Server 2003 x64 Edition.

Windows Server 2003 (todas as edições)

Tabela de Referência

A tabela a seguir contém as informações de atualização de segurança para este software.

Inclusão em Service Packs Futuros A atualização para esse problema será incluída em um service pack ou pacote cumulativo de atualizações futuro
Nomes de arquivo de atualização de segurança Para Microsoft .NET Framework 1.1 Service Pack 1 em todas as edições de 32 bits com suporte do Windows Server 2003:\ WindowsServer2003-KB2833949-x86-ENU.exe
Para Microsoft .NET Framework 2.0 Service Pack 2 quando instalado em todas as edições de 32 bits com suporte do Windows Server 2003:\ NDP20SP2-KB2833940-x86.exe\ NDP20SP2-KB2844285-v2-x86.exe
Para Microsoft .NET Framework 3.0 Service Pack 2 quando instalado em todas as edições de 32 bits com suporte do Windows Server 2003:\ NDP30SP2-KB2832411-x86.exe
Para Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows Server 2003 Service Pack 2:\ NDP35SP1-KB2840629-x86.exe
Para Microsoft .NET Framework 4 quando instalado em todas as edições de 32 bits com suporte do Windows Server 2003:\ NDP40-KB2832407-x86.exe\ NDP40-KB2835393-x86.exe\ NDP40-KB2840628-v2-x86.exe
Para Microsoft .NET Framework 1.1 Service Pack 1 quando instalado em todas as edições baseadas em x64 com suporte do Windows Server 2003:\ NDP1.1sp1-KB2833941-X86.exe
Para Microsoft .NET Framework 2.0 Service Pack 2 quando instalado em todas as edições baseadas em x64 com suporte do Windows Server 2003:\ NDP20SP2-KB2833940-x64.exe\ NDP20SP2-KB2844285-v2-x64.exe
Para Microsoft .NET Framework 3.0 Service Pack 2 quando instalado em todas as edições baseadas em x64 com suporte do Windows Server 2003:\ NDP30SP2-KB2832411-x64.exe
Para Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows Server 2003 x64 Edition Service Pack 2:\ NDP35SP1-KB2840629-x64.exe
Para Microsoft .NET Framework 4 quando instalado em todas as edições baseadas em x64 com suporte do Windows Server 2003:\ NDP40-KB2832407-x64.exe\ NDP40-KB2835393-x64.exe\ NDP40-KB2840628-v2-x64.exe
Para Microsoft .NET Framework 1.1 Service Pack 1 quando instalado em todas as edições baseadas em Itanium com suporte do Windows Server 2003:\ NDP1.1sp1-KB2833941-X86.exe
Para Microsoft .NET Framework 2.0 Service Pack 2 quando instalado em todas as edições baseadas em Itanium com suporte do Windows Server 2003:\ NDP20SP2-KB2833940-IA64.exe\ NDP20SP2-KB2844285-v2-IA64.exe
Para Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows Server 2003 com SP2 para sistemas baseados em Itanium:\ NDP35SP1-KB2840629-IA64.exe
Para Microsoft .NET Framework 4 quando instalado em todas as edições baseadas em Itanium com suporte do Windows Server 2003:\ NDP40-KB2835393-IA64.exe\ NDP40-KB2840628-v2-IA64.exe
Opções de instalação Consulte o Artigo 2844699 da Base de Dados de Conhecimento Microsoft
Atualizar arquivo de log Para Microsoft .NET Framework 1.1 Service Pack 1 no Windows Server 2003 Service Pack 2:\ KB2833949.log
Para Microsoft .NET Framework 1.1 Service Pack 1 quando instalado no Windows Server 2003 x64 Edition Service Pack 2 e Windows Server 2003 Itanium Edition Service Pack 2:\ NDP1.1SP1-KB2833941-x86-msi.0.log\ NDP1.1SP1-KB2833941-x86-wrapper.log
Para Microsoft .NET Framework 2.0 Service Pack 2:\ Microsoft .NET Framework 2.0-KB2833940_*-msi0.txt\ Microsoft .NET Framework 2.0-KB2833940_*.html
Para Microsoft .NET Framework 2.0 Service Pack 2:\ Microsoft .NET Framework 2.0-KB2844285_*-msi0.txt\ Microsoft .NET Framework 2.0-KB2844285_*.html
Para Microsoft .NET Framework 3.0 Service Pack 2:\ Microsoft .NET Framework 3.0-KB2832411_*-msi0.txt\ Microsoft .NET Framework 3.0-KB2832411_*.html
Para Microsoft .NET Framework 3.5 Service Pack 1:\ Microsoft .NET Framework 3.5-KB2840629_*-msi0.txt\ Microsoft .NET Framework 3.5-KB2840629_*.html
Para Microsoft .NET Framework 4:\ \ KB2832407_**-Microsoft .NET Framework 4 Client Profile-MSP0.txt\ KB2832407*_*.html
Para Microsoft .NET Framework 4:\ \ KB2835393_**-Microsoft .NET Framework 4 Client Profile-MSP0.txt\ KB2835393*_*.html
Para Microsoft .NET Framework 4:\ \ KB2840628_**-Microsoft .NET Framework 4 Client Profile-MSP0.txt\ KB2840628*_*.html
Requisito de reinicialização Em alguns casos, esta atualização não requer uma reinicialização. Se os arquivos necessários estiverem sendo usados, essa atualização exigirá uma reinicialização. Se esse comportamento ocorrer, será exibida uma mensagem que o aconselha a reiniciar.\ \ Para ajudar a reduzir a chance de que uma reinicialização seja necessária, pare todos os serviços afetados e feche todos os aplicativos que possam usar os arquivos afetados antes de instalar a atualização de segurança. Para obter mais informações sobre os motivos pelos quais você pode ser solicitado a reiniciar, consulte o Artigo 887012 da Base de Dados de Conhecimento Microsoft.
Informações de remoção Use o item Adicionar ou remover programas no painel de controle.
Informações de arquivo Consulte o Artigo 2861561 da Base de Dados de Conhecimento Microsoft
Verificação da chave do Registro Para Microsoft .NET Framework 1.1 Service Pack 1 em todas as edições de 32 bits com suporte do Windows Server 2003:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows Server 2003\SP3\KB2833949|
Para Microsoft .NET Framework 1.1 Service Pack 1 quando instalado em todas as edições baseadas em x64 e Itanium com suporte do Windows Server 2003:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates.NETFramework\1.1\M2833941\ "Instalado" = dword:1
Para Microsoft .NET Framework 2.0 Service Pack 2:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 2.0 Service Pack 2\SP2\KB2833940\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 2.0 Service Pack 2:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 2.0 Service Pack 2\SP2\KB2844285v2\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 3.0 Service Pack 2:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 3.0 Service Pack 2\SP2\KB2832411\ "ThisVersionInstalled" = "Y"
Microsoft .NET Framework 3.5 Service Pack 1\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 3.5 SP1\SP1\KB2840629\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições de 32 bits com suporte do Windows Server 2003:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2832407\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições de 32 bits com suporte do Windows Server 2003:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2835393\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições de 32 bits com suporte do Windows Server 2003:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2840628v2\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições baseadas em x64 com suporte e edições baseadas em Itanium do Windows Server 2003:\ HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2835393\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições baseadas em x64 com suporte e edições baseadas em Itanium do Windows Server 2003:\ HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2840628v2\ "ThisVersionInstalled" = "Y"

Observação A atualização para versões com suporte do Windows Server 2003 x64 Edition também se aplica a versões com suporte do Windows XP Professional x64 Edition.

Windows Vista (todas as edições)

Tabela de Referência

A tabela a seguir contém as informações de atualização de segurança para este software.

Inclusão em Service Packs Futuros A atualização para esse problema será incluída em um service pack ou pacote cumulativo de atualizações futuro
Nomes de arquivo de atualização de segurança Para Microsoft .NET Framework 1.1 Service Pack 1 quando instalado em todas as edições de 32 bits com suporte do Windows Vista:\ NDP1.1sp1-KB2833941-X86.exe
Para Microsoft .NET Framework 2.0 Service Pack 2 em todas as edições de 32 bits com suporte do Windows Vista:\ Windows6.0-KB2833947-x86.msu\ Windows6.0-KB2844287-v2-x86.msu
Para Microsoft .NET Framework 3.0 Service Pack 2 quando instalado em todas as edições de 32 bits com suporte do Windows Server 2003:\ NDP30SP2-KB2832412-x86.exe
Para Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows Vista Service Pack 2:\ NDP35SP1-KB2840629-x86.exe
Para Microsoft .NET Framework 4 quando instalado em todas as edições de 32 bits com suporte do Windows Vista:\ NDP40-KB2832407-x86.exe\ NDP40-KB2835393-x86.exe\ NDP40-KB2840628-v2-x86.exe
Para Microsoft .NET Framework 4.5 quando instalado em todas as edições de 32 bits com suporte do Windows Vista:\ NDP45-KB2835622-x86.exe\ NDP45-KB2833957-x86.exe\ NDP45-KB2840642-v2-x86.exe
Para Microsoft .NET Framework 1.1 Service Pack 1 quando instalado em todas as edições baseadas em x64 com suporte do Windows Vista:\ NDP1.1sp1-KB2833941-X86.exe
Para Microsoft .NET Framework 2.0 Service Pack 2 em todas as edições baseadas em x64 com suporte do Windows Vista:\ Windows6.0-KB2833947-x64.msu\ Windows6.0-KB2844287-v2-x64.msu
Para Microsoft .NET Framework 3.0 Service Pack 2 quando instalado em todas as edições baseadas em x64 com suporte do Windows Server 2003:\ NDP30SP2-KB2832412-x64.exe
Para Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows Vista x64 Edition Service Pack 2:\ NDP35SP1-KB2840629-x64.exe
Para Microsoft .NET Framework 4 quando instalado em todas as edições baseadas em x64 com suporte do Windows Vista:\ NDP40-KB2832407-x64.exe\ NDP40-KB2835393-x64.exe\ NDP40-KB2840628-v2-x64.exe
Para Microsoft .NET Framework 4.5 quando instalado em todas as edições baseadas em x64 com suporte do Windows Vista:\ NDP45-KB2835622-x64.exe\ NDP45-KB2833957-x64.exe\ NDP45-KB2840642-v2-x64.exe
Opções de instalação Consulte o Artigo 2844699 da Base de Dados de Conhecimento Microsoft
Atualizar arquivo de log Para Microsoft .NET Framework 1.1 Service Pack 1:\ NDP1.1SP1-KB2833941-x86-msi.0.log\ NDP1.1SP1-KB2833941-x86-wrapper.log
Para Microsoft .NET Framework 2.0 Service Pack 2:\ Não aplicável
Para Microsoft .NET Framework 3.0 Service Pack 2:\ Microsoft .NET Framework 3.0-KB2832412_*-msi0.txt\ Microsoft .NET Framework 3.0-KB2832412_*.html
Para Microsoft .NET Framework 3.5 Service Pack 1:\ Microsoft .NET Framework 3.5-KB2840629_*-msi0.txt\ Microsoft .NET Framework 3.5-KB2840629_*.html
Para Microsoft .NET Framework 4:\ KB2832407_**-Microsoft .NET Framework 4 Client Profile-MSP0.txt\ KB2832407*_*.html
Para Microsoft .NET Framework 4:\ KB2835393_**-Microsoft .NET Framework 4 Client Profile-MSP0.txt\ KB2835393*_*.html
Para Microsoft .NET Framework 4:\ KB2840628_**-Microsoft .NET Framework 4 Client Profile-MSP0.txt\ KB2840628*_*.html
Para Microsoft .NET Framework 4.5:\ KB2835622_**-Microsoft .NET Framework 4.5-MSP0.txt\ KB2835622*_*.html
Para Microsoft .NET Framework 4.5:\ KB2833957_**-Microsoft .NET Framework 4.5-MSP0.txt\ KB2833957*_*.html
Para Microsoft .NET Framework 4.5:\ KB2840642_**-Microsoft .NET Framework 4.5-MSP0.txt\ KB2840642*_*.html
Requisito de reinicialização Esta atualização não requer uma reinicialização. O instalador interrompe os serviços necessários, aplica a atualização e reinicia os serviços. No entanto, se os serviços necessários não puderem ser interrompidos por qualquer motivo, ou se os arquivos necessários estiverem sendo usados, essa atualização exigirá uma reinicialização. Se esse comportamento ocorrer, será exibida uma mensagem que o aconselha a reiniciar.
Informações de remoção Clique em Painel de controle e, em seguida, clique em segurança . Em Windows Update, clique em Exibir atualizações instaladas e selecione na lista de atualizações.
Informações de arquivo Consulte o Artigo 2861561 da Base de Dados de Conhecimento Microsoft
Verificação da chave do Registro Para Microsoft .NET Framework 1.1 Service Pack 1:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates.NETFramework\1.1\M2833941\ "Instalado" = dword:1
Para Microsoft .NET Framework 2.0 Service Pack 2:\ Observação Não existe uma chave do Registro para validar a presença desta atualização. Use o WMI para detectar a presença desta atualização.
Para Microsoft .NET Framework 3.0 Service Pack 2:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 3.0 Service Pack 2\SP2\KB2832412\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 3.5 Service Pack 1:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 3.5 Service Pack 1\SP1\KB2840629\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições de 32 bits com suporte do Windows Vista:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2835393\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições de 32 bits com suporte do Windows Vista:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2832407\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições de 32 bits com suporte do Windows Vista:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2840628v2\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições baseadas em x64 com suporte do Windows Vista:\ HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2832407\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições baseadas em x64 com suporte do Windows Vista:\ HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2840628v2\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições baseadas em x64 com suporte do Windows Vista:\ HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2835393\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4.5:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4.5\KB2835622\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4.5:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4.5\KB2833957\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4.5:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4.5\KB2840642v2\ "ThisVersionInstalled" = "Y"

Windows Server 2008 (todas as edições)

Tabela de Referência

A tabela a seguir contém as informações de atualização de segurança para este software.

Inclusão em Service Packs Futuros A atualização para esse problema será incluída em um service pack ou pacote cumulativo de atualizações futuro
Nomes de arquivo de atualização de segurança Para Microsoft .NET Framework 1.1 Service Pack 1 quando instalado no Windows Server 2008 para sistemas de 32 bits Service Pack 2:\ NDP1.1sp1-KB2833941-X86.exe
Para Microsoft .NET Framework 2.0 Service Pack 2 no Windows Server 2008 para sistemas de 32 bits Service Pack 2:\ Windows6.0-KB2833947-x86.msu\ Windows6.0-KB2844287-v2-x86.msu
Para Microsoft .NET Framework 3.0 Service Pack 2 no Windows Server 2008 para sistemas de 32 bits Service Pack 2:\ Windows6.0-KB2832412-x86.msu
Para Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows Server 2008 para sistemas de 32 bits Service Pack 2:\ NDP35SP1-KB2840629-x86.exe
Para Microsoft .NET Framework 4 quando instalado no Windows Server 2008 para sistemas de 32 bits Service Pack 2:\ NDP40-KB2832407-x86.exe\ NDP40-KB2835393-x86.exe\ NDP40-KB2840628-v2-x86.exe
Para Microsoft .NET Framework 4.5 quando instalado no Windows Server 2008 para sistemas de 32 bits Service Pack 2:\ NDP45-KB2835622-x86.exe\ NDP45-KB2833957-x86.exe\ NDP45-KB2840642-v2-x86.exe
Para Microsoft .NET Framework 1.1 Service Pack 1 quando instalado no Windows Server 2008 para sistemas baseados em x64 Service Pack 2:\ NDP1.1sp1-KB2833941-X86.exe
Para Microsoft .NET Framework 2.0 Service Pack 2 no Windows Server 2008 para sistemas baseados em x64 Service Pack 2:\ Windows6.0-KB2833947-x64.msu\ Windows6.0-KB2844287-v2-x64.msu
Para Microsoft .NET Framework 3.0 Service Pack 2 no Windows Server 2008 para sistemas baseados em x64 Service Pack 2:\ Windows6.0-KB2832412-x64.msu
Para Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows Server 2008 para sistemas baseados em x64 Service Pack 2:\ NDP35SP1-KB2840629-x64.exe
Para Microsoft .NET Framework 4 quando instalado no Windows Server 2008 para sistemas baseados em x64 Service Pack 2:\ NDP40-KB2832407-x64.exe\ NDP40-KB2835393-x64.exe\ NDP40-KB2840628-v2-x64.exe
Para Microsoft .NET Framework 4.5 quando instalado no Windows Server 2008 para sistemas baseados em x64 Service Pack 2:\ NDP45-KB2835622-x64.exe\ NDP45-KB2833957-x64.exe\ NDP45-KB2840642-v2-x64.exe
Para Microsoft .NET Framework 1.1 Service Pack 1 quando instalado no Windows Server 2008 para sistemas baseados em Itanium Service Pack 2:\ NDP1.1sp1-KB2833941-X86.exe
Para Microsoft .NET Framework 2.0 Service Pack 2 em todas as edições baseadas em Itanium com suporte do Windows Server 2008:\ Windows6.0-KB2833947-ia64.msu\ Windows6.0-KB2844287-v2-ia64.msu
Para Microsoft .NET Framework 3.5 Service Pack 1 quando instalado no Windows Server 2008 para sistemas baseados em Itanium Service Pack 2:\ NDP35SP1-KB2840629-IA64.exe
Para Microsoft .NET Framework 4 quando instalado no Windows Server 2008 para sistemas baseados em Itanium Service Pack 2:\ NDP40-KB2835393-IA64.exe\ NDP40-KB2840628-v2-IA64.exe
Opções de instalação Consulte o Artigo 2844699 da Base de Dados de Conhecimento Microsoft
Atualizar arquivo de log Para Microsoft .NET Framework 1.1 Service Pack 1:\ NDP1.1SP1-KB2833941-x86-msi.0.log\ NDP1.1SP1-KB2833941-x86-wrapper.log
Para Microsoft .NET Framework 2.0 Service Pack 2:\ Não aplicável
Para Microsoft .NET Framework 3.0 Service Pack 2:\ Microsoft .NET Framework 3.0-KB2832412_*-msi0.txt\ Microsoft .NET Framework 3.0-KB2832412_*.html
Para Microsoft .NET Framework 3.5 Service Pack 1:\ Microsoft .NET Framework 3.5-KB2840629_*-msi0.txt\ Microsoft .NET Framework 3.5-KB2840629_*.html
Para Microsoft .NET Framework 4:\ KB2832407_**-Microsoft .NET Framework 4 Client Profile-MSP0.txt\ KB2832407*_*.html
Para Microsoft .NET Framework 4:\ KB2835393_**-Microsoft .NET Framework 4 Client Profile-MSP0.txt\ KB2835393*_*.html
Para Microsoft .NET Framework 4:\ KB2840628_**-Microsoft .NET Framework 4 Client Profile-MSP0.txt\ KB2840628*_*.html
Para Microsoft .NET Framework 4.5:\ KB2835622_**-Microsoft .NET Framework 4.5-MSP0.txt\ KB2835622*_*.html
Para Microsoft .NET Framework 4.5:\ KB2833957_**-Microsoft .NET Framework 4.5-MSP0.txt\ KB2833957*_*.html
Para Microsoft .NET Framework 4.5:\ KB2840642_**-Microsoft .NET Framework 4.5-MSP0.txt\ KB2840642*_*.html
Requisito de reinicialização Esta atualização não requer uma reinicialização. O instalador interrompe os serviços necessários, aplica a atualização e reinicia os serviços. No entanto, se os serviços necessários não puderem ser interrompidos por qualquer motivo, ou se os arquivos necessários estiverem sendo usados, essa atualização exigirá uma reinicialização. Se esse comportamento ocorrer, será exibida uma mensagem que o aconselha a reiniciar.
Informações de remoção Clique em Painel de controle e, em seguida, clique em segurança . Em Windows Update, clique em Exibir atualizações instaladas e selecione na lista de atualizações.
Informações de arquivo Consulte o Artigo 2861561 da Base de Dados de Conhecimento Microsoft
Verificação da chave do Registro Para Microsoft .NET Framework 1.1 Service Pack 1:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates.NETFramework\1.1\M2833941\ "Instalado" = dword:1
Para Microsoft .NET Framework 2.0 Service Pack 2:\ Observação Não existe uma chave do Registro para validar a presença desta atualização. Use o WMI para detectar a presença desta atualização.
Para Microsoft .NET Framework 3.0 Service Pack 2:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 3.0 Service Pack 2\SP2\KB2832412\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 3.5 Service Pack 1:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 3.5 Service Pack 1\SP1\KB2840629\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições de 32 bits com suporte do Windows Server 2008:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2832407\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições de 32 bits com suporte do Windows Server 2008:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2835393\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições de 32 bits com suporte do Windows Server 2008:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2840628v2\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições baseadas em x64 e Itanium com suporte do Windows Server 2008:\ HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2832407\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições baseadas em x64 e baseadas em Itanium com suporte do Windows Server 2008:\ HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2835393\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições baseadas em x64 e baseadas em Itanium com suporte do Windows Server 2008:\ HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2840628v2\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4.5:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4.5\KB2835622\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4.5:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4.5\KB2835622\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4.5:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4.5\KB2840642v2\ "ThisVersionInstalled" = "Y"

Windows 7 (todas as edições)

Tabela de Referência

A tabela a seguir contém as informações de atualização de segurança para este software.

Inclusão em Service Packs Futuros A atualização para esse problema será incluída em um service pack ou pacote cumulativo de atualizações futuro
Nome do arquivo de atualização de segurança Para Microsoft .NET Framework 3.5.1 no Windows 7 para sistemas de 32 bits Service Pack 1:\ Windows6.1-KB2832414-x86.msu \ Windows6.1-KB2833946-x86.msu\ Windows6.1-KB2840631-x86.msu\ Windows6.1-KB2844286-v2-x86.msu
Para Microsoft .NET Framework 4 quando instalado no Windows 7 para sistemas de 32 bits Service Pack 1:\ NDP40-KB2835393-x86.exe\ NDP40-KB2840628-v2-x86.exe
Para Microsoft .NET Framework 4.5 quando instalado no Windows 7 para sistemas de 32 bits Service Pack 1:\ NDP45-KB2833957-x86.exe\ NDP45-KB2840642-v2-x86.exe
Para Microsoft .NET Framework 3.5.1 no Windows 7 para sistemas baseados em x64 Service Pack 1:\ Windows6.1-KB2832414-x64.msu\ Windows6.1-KB2833946-x64.msu\ Windows6.1-KB2840631-x64.msu\ Windows6.1-KB2844286-v2-x64.msu
Para Microsoft .NET Framework 4 quando instalado no Windows 7 para sistemas baseados em x64 Service Pack 1:\ NDP40-KB2835393-x64.exe\ NDP40-KB2840628-v2-x64.exe
Para Microsoft .NET Framework 4.5 quando instalado no Windows 7 para sistemas baseados em x64 Service Pack 1:\ NDP45-KB2833957-x64.exe\ NDP45-KB2840642-v2-x64.exe
Opções de instalação Consulte o Artigo 2844699 da Base de Dados de Conhecimento Microsoft
Atualizar arquivo de log Para Microsoft .NET Framework 3.5.1:\ Não aplicável.
Para Microsoft .NET Framework 4:\ KB2835393_**-Microsoft .NET Framework 4 Client Profile-MSP0.txt\ KB2835393*_*.html
Para Microsoft .NET Framework 4:\ KB2840628_**-Microsoft .NET Framework 4 Client Profile-MSP0.txt\ KB2840628*_*.html
Para Microsoft .NET Framework 4.5:\ KB2833957_**-Microsoft .NET Framework 4.5-MSP0.txt\ KB2833957*_*.html
Para Microsoft .NET Framework 4.5:\ KB2840642_**-Microsoft .NET Framework 4.5-MSP0.txt\ KB2840642*_*.html
Requisito de reinicialização Esta atualização não requer uma reinicialização. O instalador interrompe os serviços necessários, aplica a atualização e reinicia os serviços. No entanto, se os serviços necessários não puderem ser interrompidos por qualquer motivo, ou se os arquivos necessários estiverem sendo usados, essa atualização exigirá uma reinicialização. Se esse comportamento ocorrer, será exibida uma mensagem que o aconselha a reiniciar.
Informações de remoção Clique em Painel de Controle, clique em Sistema e Segurança e, em Windows Update, clique em Exibir atualizações instaladas e selecione na lista de atualizações.
Informações de arquivo Consulte o Artigo 2861561 da Base de Dados de Conhecimento Microsoft
Verificação da chave do Registro Para Microsoft .NET Framework 3.5.1:\ Observação Não existe uma chave do Registro para validar a presença desta atualização. Use o WMI para detectar a presença desta atualização.
Para Microsoft .NET Framework 4 quando instalado em todas as edições de 32 bits com suporte do Windows 7:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2835393\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições de 32 bits com suporte do Windows 7:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2840628v2\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições baseadas em x64 com suporte do Windows 7:\ HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2835393\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4 quando instalado em todas as edições baseadas em x64 com suporte do Windows 7:\ HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2840628v2\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4.5:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4.5\KB2833957\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4.5:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4.5\KB2840642v2\ "ThisVersionInstalled" = "Y"

Windows Server 2008 R2 (todas as edições)

Tabela de Referência

A tabela a seguir contém as informações de atualização de segurança para este software.

Inclusão em Service Packs Futuros A atualização para esse problema será incluída em um service pack ou pacote cumulativo de atualizações futuro
Nome do arquivo de atualização de segurança Para Microsoft .NET Framework 3.5.1 no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1:\ Windows6.1-KB2832414-x64.msu \ Windows6.1-KB2833946-x64.msu\ Windows6.1-KB2840631-x64.msu\ Windows6.1-KB2844286-v2-x64.msu
Para Microsoft .NET Framework 4 quando instalado no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1:\ NDP40-KB2835393-x64.exe\ NDP40-KB2840628-v2-x64.exe
Para Microsoft .NET Framework 4.5 quando instalado no Windows Server 2008 R2 para sistemas baseados em x64 Service Pack 1:\ NDP45-KB2833957-x64.exe\ NDP45-KB2840642-v2-x64.exe
Para Microsoft .NET Framework 3.5.1 no Windows Server 2008 R2 para sistemas baseados em Itanium Service Pack 1:\ Windows6.1-KB2833946-ia64.msu\ Windows6.1-KB2840631-ia64.msu\ Windows6.1-KB2844286-v2-ia64.msu
Para Microsoft .NET Framework 4 quando instalado no Windows Server 2008 R2 para sistemas baseados em Itanium Service Pack 1:\ NDP40-KB2835393-IA64.exe\ NDP40-KB2840628-v2-IA64.exe
Opções de instalação Consulte o Artigo 2844699 da Base de Dados de Conhecimento Microsoft
Atualizar arquivo de log Para Microsoft .NET Framework 3.5.1:\ Não aplicável
Para Microsoft .NET Framework 4:\ KB2835393_**-Microsoft .NET Framework 4 Client Profile-MSP0.txt\ KB2835393*_*.html
Para Microsoft .NET Framework 4:\ KB2844286_**-Microsoft .NET Framework 4 Client Profile-MSP0.txt\ KB2844286*_*.html
Para Microsoft .NET Framework 4.5:\ KB2833957_**-Microsoft .NET Framework 4.5-MSP0.txt\ KB2833957*_*.html
Para Microsoft .NET Framework 4.5:\ KB2840642_**-Microsoft .NET Framework 4.5-MSP0.txt\ KB2840642*_*.html
Requisito de reinicialização Esta atualização não requer uma reinicialização. O instalador interrompe os serviços necessários, aplica a atualização e reinicia os serviços. No entanto, se os serviços necessários não puderem ser interrompidos por qualquer motivo, ou se os arquivos necessários estiverem sendo usados, essa atualização exigirá uma reinicialização. Se esse comportamento ocorrer, será exibida uma mensagem que o aconselha a reiniciar.
Informações de remoção Clique em Painel de Controle, clique em Sistema e Segurança e, em Windows Update, clique em Exibir atualizações instaladas e selecione na lista de atualizações.
Informações de arquivo Consulte o Artigo 2861561 da Base de Dados de Conhecimento Microsoft
Verificação da chave do Registro Para Microsoft .NET Framework 3.5.1:\ Observação Não existe uma chave do Registro para validar a presença desta atualização. Use o WMI para detectar a presença desta atualização.
Para Microsoft .NET Framework 4:\ HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2835393\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4:\ HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Updates\Microsoft .NET Framework 4 Client Profile\KB2840628v2\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4.5:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4.5\KB2833957\ "ThisVersionInstalled" = "Y"
Para Microsoft .NET Framework 4.5:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Microsoft .NET Framework 4.5\KB2840642v2\ "ThisVersionInstalled" = "Y"

Windows 8 (todas as edições)

Tabela de Referência

A tabela a seguir contém as informações de atualização de segurança para este software.

Inclusão em Service Packs Futuros A atualização para esse problema será incluída em um service pack ou pacote cumulativo de atualizações futuro
Nome do arquivo de atualização de segurança Para Microsoft .NET Framework 3.5 no Windows 8 para sistemas de 32 bits:\ Windows8-RT-KB2832418-x86.msu\ Windows8-RT-KB2833959-x86.msu\ Windows8-RT-KB2840633-x86.msu\ Windows8-RT-KB2844289-v2-x86.msu
Para Microsoft .NET Framework 4.5 no Windows 8 para sistemas de 32 bits:\ Windows8-RT-KB2833958-x86.msu\ Windows8-RT-KB2840632-v2-x86.msu
Para Microsoft .NET Framework 3.5 no Windows 8 para sistemas de 64 bits:\ Windows8-RT-KB2832418-x64.msu \ Windows8-RT-KB2833959-x64.msu\ Windows8-RT-KB2840633-x64.msu \ Windows8-RT-KB2844289-v2-x64.msu
Para Microsoft .NET Framework 4.5, Windows 8 para sistemas de 64 bits:\ Windows8-RT-KB2833958-x64.msu\ Windows8-RT-KB2840632-v2-x64.msu
Opções de instalação Consulte o Artigo 2844699 da Base de Dados de Conhecimento Microsoft
Requisito de reinicialização Esta atualização não requer uma reinicialização. O instalador interrompe os serviços necessários, aplica a atualização e reinicia os serviços. No entanto, se os serviços necessários não puderem ser interrompidos por qualquer motivo, ou se os arquivos necessários estiverem sendo usados, essa atualização exigirá uma reinicialização. Se esse comportamento ocorrer, será exibida uma mensagem que o aconselha a reiniciar.
Informações de remoção Clique em Painel de Controle, clique em Sistema e Segurança, clique em WindowsUpdate e, em Consulte também, clique em Atualizações instaladas e selecione na lista de atualizações.
Informações de arquivo Consulte o Artigo 2861561 da Base de Dados de Conhecimento Microsoft
Verificação da chave do Registro Para Microsoft .NET Framework 3.5:\ Observação Não existe uma chave do Registro para validar a presença desta atualização. Use o WMI para detectar a presença desta atualização.
Para Microsoft .NET Framework 4.5:\ Observação Não existe uma chave do Registro para validar a presença desta atualização. Use o WMI para detectar a presença desta atualização.

Windows Server 2012 (todas as edições)

Tabela de Referência

A tabela a seguir contém as informações de atualização de segurança para este software.

Inclusão em Service Packs Futuros A atualização para esse problema será incluída em um service pack ou pacote cumulativo de atualizações futuro
Nome do arquivo de atualização de segurança Para Microsoft .NET Framework 3.5 no Windows Server 2012:\ Windows8-RT-KB2832418-x64.msu \ Windows8-RT-KB2833959-x64.msu\ Windows8-RT-KB2840633-x64.msu \ Windows8-RT-KB2844289-v2-x64.msu
Para Microsoft .NET Framework 4.5 no Windows Server 2012:\ Windows8-RT-KB2833958-x64.msu\ Windows8-RT-KB2840632-v2-x64.msu
Opções de instalação Consulte o Artigo 2844699 da Base de Dados de Conhecimento Microsoft
Requisito de reinicialização Esta atualização não requer uma reinicialização. O instalador interrompe os serviços necessários, aplica a atualização e reinicia os serviços. No entanto, se os serviços necessários não puderem ser interrompidos por qualquer motivo, ou se os arquivos necessários estiverem sendo usados, essa atualização exigirá uma reinicialização. Se esse comportamento ocorrer, será exibida uma mensagem que o aconselha a reiniciar.
Informações de remoção Clique em Painel de Controle, clique em Sistema e Segurança, clique em Windows Update e, em Consulte também, clique em Atualizações instaladas e selecione na lista de atualizações.
Informações de arquivo Consulte o Artigo 2861561 da Base de Dados de Conhecimento Microsoft
Verificação da chave do Registro Observação Não existe uma chave do Registro para validar a presença dessa atualização.

Windows RT (todas as edições)

A tabela a seguir contém as informações de atualização de segurança para este software.

Implantação Para Microsoft .NET Framework 4.5 no Windows RT:\ As atualizações de 2833958 e 2840632 estão disponíveis somente por meio do Windows Update .
Requisito de reinicialização Sim, tem de reiniciar o sistema depois de aplicar esta actualização de segurança.
Informações de remoção Clique em Painel de Controle, clique em Sistema e Segurança, clique em Windows Update e, em Consulte também, clique em Atualizações instaladas e selecione na lista de atualizações.
Informações de arquivo Consulte o Artigo 2861561 da Base de Dados de Conhecimento Microsoft

Silverlight 5 para Mac (todas as edições)

Tabela de Referência

A tabela a seguir contém as informações de atualização de segurança para este software.

Nomes de arquivo de atualização de segurança Para Microsoft Silverlight 5 quando instalado no Mac:\ Silverlight.dmg
Para Microsoft Silverlight 5 Developer Runtime quando instalado no Mac:\ silverlight_developer.dmg
Requisito de reinicialização Esta atualização não requer uma reinicialização.
Informações de remoção Abra o Finder, selecione a unidade do sistema, vá para a pasta Internet Plug-ins - Biblioteca e exclua o arquivo Silverlight.Plugin. (Observe que a atualização não pode ser removida sem remover o plug-in do Silverlight.)
Informações de arquivo Consulte o Artigo 2861561 da Base de Dados de Conhecimento Microsoft
Verificação de instalação Consulte a seção Perguntas frequentes sobre atualização neste boletim que aborda a pergunta "Como saber qual versão e compilação do Microsoft Silverlight está instalada no momento?"

Silverlight 5 para Windows (todas as versões suportadas)

Tabela de Referência

A tabela a seguir contém as informações de atualização de segurança para este software.

Nomes de arquivo de atualização de segurança Para Microsoft Silverlight 5 quando instalado em todas as versões de 32 bits com suporte do Microsoft Windows:\ silverlight.exe
Para Microsoft Silverlight 5 Developer Runtime quando instalado em todas as versões de 32 bits com suporte do Microsoft Windows:\ silverlight_developer.exe
Para Microsoft Silverlight 5 quando instalado em todas as versões de 64 bits com suporte do Microsoft Windows:\ silverlight_x64.exe
Para Microsoft Silverlight 5 Developer Runtime quando instalado em todas as versões de 64 bits com suporte do Microsoft Windows:\ silverlight_developer_x64.exe
Opções de instalação Consulte o Guia de implantação do Silverlight Enterprise
Requisito de reinicialização Esta atualização não requer uma reinicialização.
Informações de remoção Use o item Adicionar ou Remover Programas no Painel de Controle. (Observe que a atualização não pode ser removida sem remover o Silverlight.)
Informações de arquivo Consulte o Artigo 2861561 da Base de Dados de Conhecimento Microsoft
Verificação da chave do Registro Para instalações de 32 bits do Microsoft Silverlight 5:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Silverlight "Versão" = "Y"
Para instalações de 64 bits do Microsoft Silverlight 5:\ HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Silverlight, "Versão" = "Y"\ e\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Silverlight, "Versão" = "Y"

Outras Informações

Agradecimentos

A Microsoft agradece o seguinte por trabalhar conosco para ajudar a proteger os clientes:

  • Ling Chuan Lee e Lee Yee Chan, do F-13 Laboratory , por relatarem a vulnerabilidade de análise de fonte TrueType (CVE-2013-3129)
  • Alon Fliess por relatar a vulnerabilidade de violação de acesso à matriz (CVE-2013-3131)
  • James Forshaw, da Context Information Security, por relatar a vulnerabilidade de desvio de reflexão do delegado (CVE-2013-3132)
  • James Forshaw, da Context Information Security, por relatar a vulnerabilidade de injeção de método anônimo (CVE-2013-3133)
  • James Forshaw, da Context Information Security, por relatar a vulnerabilidade de serialização de representante (CVE-2013-3171)
  • Vitaliy Toropov por relatar a vulnerabilidade de ponteiro nulo (CVE-2013-3178)

Programa de Proteção Ativa da Microsoft (MAPP)

Para melhorar as proteções de segurança para os clientes, a Microsoft fornece informações sobre vulnerabilidades aos principais fornecedores de software de segurança antes de cada lançamento mensal da atualização de segurança. Os provedores de software de segurança podem usar essas informações de vulnerabilidade para fornecer proteções atualizadas aos clientes por meio de seus softwares ou dispositivos de segurança, como antivírus, sistemas de detecção de intrusão baseados em rede ou sistemas de prevenção de intrusão baseados em host. Para determinar se as proteções ativas estão disponíveis em provedores de software de segurança, acesse os sites de proteções ativas fornecidos por parceiros do programa, listados em Parceiros do Microsoft Active Protections Program (MAPP).

Suporte

Como obter ajuda e suporte para esta atualização de segurança

Aviso de isenção de responsabilidade

As informações fornecidas na Base de Dados de Conhecimento Microsoft são fornecidas "no estado em que se encontram", sem qualquer tipo de garantia. A Microsoft se isenta de todas as garantias, expressas ou implícitas, incluindo as garantias de comercialização e adequação a uma finalidade específica. Em nenhuma circunstância a Microsoft Corporation ou seus fornecedores serão responsáveis por quaisquer danos, incluindo danos diretos, indiretos, incidentais, consequenciais, perda de lucros comerciais ou danos especiais, mesmo que a Microsoft Corporation ou seus fornecedores tenham sido avisados da possibilidade de tais danos. Alguns estados não permitem a exclusão ou limitação de responsabilidade por danos consequenciais ou incidentais, portanto, a limitação acima pode não se aplicar.

Revisões

  • V1.0 (9 de julho de 2013): Boletim publicado.
  • V2.0 (13 de agosto de 2013): Boletim revisado para relançar as atualizações de 2840628, 2840632, 2840642, 2844285, 2844286, 2844287 e 2844289. Os clientes devem instalar as atualizações relançadas que se aplicam aos seus sistemas. Consulte as Perguntas frequentes sobre atualização para obter mais informações.

Construído em 2014-04-18T13:49:36Z-07:00